/////////////////////////////////////////////////////////////////////////
///@company Ϻ̩ϢƼ޹˾
///@file TORATstpSPUserApiDataType.h
///@brief ˿ͻ˽ӿʹõҵ
///@history 
/////////////////////////////////////////////////////////////////////////

#ifndef _TORA_TSTPSPUSERAPIDATATYPE_H
#define _TORA_TSTPSPUSERAPIDATATYPE_H

#include <limits.h>
#include <float.h>

namespace TORASPAPI
{
	///ֵ
	const int INT_NULL_VAL = INT_MAX;
	
	const double FLOAT_NULL_VAL = DBL_MAX;
	
	const char CHAR_NULL_VAL = 0;
	
	const short WORD_NULL_VAL = SHRT_MAX;
	
#ifdef WINDOWS
	const __int64 LONG_NULL_VAL = _I64_MAX;
#else
	const long long LONG_NULL_VAL = LLONG_MAX;
#endif
	
	///ÿպп
	inline void set_null(int &v)
	{
		v = INT_NULL_VAL;
	}
	inline bool is_null(const int &v)
	{
		return v == INT_NULL_VAL;
	}
	
	///ÿպп
	inline void set_null(double &v)
	{
		v = FLOAT_NULL_VAL;
	}
	inline bool is_null(const double &v)
	{
		return v == FLOAT_NULL_VAL;
	}
	
	///ַÿպп
	inline void set_null(char &v)
	{
		v = CHAR_NULL_VAL;
	}
	inline bool is_null(const char &v)
	{
		return v == CHAR_NULL_VAL;
	}
	
	///ÿպп
	inline void set_null(short &v)
	{
		v = WORD_NULL_VAL;
	}
	inline bool is_null(const short &v)
	{
		return v == WORD_NULL_VAL;
	}
	
	///ÿպп
	#ifdef WINDOWS
	inline void set_null(__int64 &v)
	#else
	inline void set_null(long long &v)
	#endif
	{
		v = LONG_NULL_VAL;
	}
	#ifdef WINDOWS
	inline bool is_null(const __int64 &v)
	#else
	inline bool is_null(const long long &v)
	#endif
	{
		return v == LONG_NULL_VAL;
	}
	
	///ַÿպп
	inline void set_null(char *v)
	{
		v[0] = '\0';
	}
	inline bool is_null(const char *v)
	{
		const char *p=v;
		while (*p)
		{
			if (*p!=' ')
			{
				return false;
			}
			p++;
		}
		return true;
	}

	enum TORA_TE_RESUME_TYPE
	{
		TORA_TERT_RESTART = 0,
		TORA_TERT_RESUME,
		TORA_TERT_QUICK
	};


	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDateTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPDateType[9];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTimeTypeһʱ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPTimeType[9];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMillisecTypeһʱ䣨룩
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPMillisecType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTypeһ۸
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpSPPriceType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRatioTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpSPRatioType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMoneyTypeһʽ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpSPMoneyType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPVolumeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLargeVolumeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpSPLargeVolumeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBoolTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPBoolType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSequenceNoTypeһˮ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPSequenceNoType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSerialTypeһˮ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPSerialType[31];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCommFluxTypeһͨѶ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPCommFluxType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExchangeIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_SP_EXD_COMM = '0';
	///Ϻ
	const char TORA_TSTP_SP_EXD_SSE = '1';
	///ڽ
	const char TORA_TSTP_SP_EXD_SZSE = '2';
	///۽
	const char TORA_TSTP_SP_EXD_HK = '3';
	typedef char TTORATstpSPExchangeIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeMultipleTypeһԼ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPVolumeMultipleType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIdCardNoTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPIdCardNoType[51];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserIDTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPUserIDType[16];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTradeIDTypeһɽ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPTradeIDType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderSysIDTypeһϵͳ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPOrderSysIDType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExchangeCombIDTypeһϱ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPExchangeCombIDType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPasswordTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPPasswordType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFrontIDTypeһǰñ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPFrontIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSessionIDTypeһỰ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPSessionIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpProductInfoTypeһƷϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPProductInfoType[11];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpProtocolInfoTypeһЭϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPProtocolInfoType[11];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDataSyncStatusTypeһͬ״̬
	/////////////////////////////////////////////////////////////////////////
	///δͬ
	const char TORA_TSTP_SP_DS_Asynchronous = '1';
	///ͬ
	const char TORA_TSTP_SP_DS_Synchronizing = '2';
	///ͬ
	const char TORA_TSTP_SP_DS_Synchronized = '3';
	///ȫͬ
	const char TORA_TSTP_SP_DS_AllSynchronized = '4';
	///Ԥͬ
	const char TORA_TSTP_SP_DS_PreSync = '5';
	typedef char TTORATstpSPDataSyncStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRecordCntTypeһ¼
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPRecordCntType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpErrorIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPErrorIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpErrorMsgTypeһϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPErrorMsgType[81];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPositionTypeTypeһֲ
	/////////////////////////////////////////////////////////////////////////
	///ֲ
	const char TORA_TSTP_SP_PT_Net = '1';
	///ۺϳֲ
	const char TORA_TSTP_SP_PT_Gross = '2';
	typedef char TTORATstpSPPositionTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCombinationStatusTypeһϳֲ״̬
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_CTS_Combined = '1';
	///
	const char TORA_TSTP_SP_CTS_Splitted = '3';
	typedef char TTORATstpSPCombinationStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNameTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPNameType[61];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityIDTypeһԼ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPSecurityIDType[31];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExchSecurityIDTypeһԼ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPExchSecurityIDType[31];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTickTypeһС䶯λ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpSPPriceTickType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTradingUnitTypeһ׵λ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPTradingUnitType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityStatusTypeһ֤ȯ״̬
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPSecurityStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAccountIDTypeһͶʽʺ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPAccountIDType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBankAccountIDTypeһǩԼ˺
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPBankAccountIDType[31];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorIDTypeһͶߴ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPInvestorIDType[13];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpContacterTypeһϵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPContacterType[61];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFaxTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPFaxType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpEmailTypeһEmail
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPEmailType[61];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAddressTypeһͨѶַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPAddressType[101];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpZipCodeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPZipCodeType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDepartmentIDTypeһŴ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPDepartmentIDType[11];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBranchIDTypeһӪҵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPBranchIDType[11];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpContractNoTypeһͬ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPContractNoType[31];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRemarkTypeһע
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPRemarkType[513];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTerminalInfoTypeһնϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPTerminalInfoType[256];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpShareholderIDTypeһɶ˻
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPShareholderIDType[11];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPbuIDTypeһ׵Ԫ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPPbuIDType[11];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIPAddressTypeһIPַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPIPAddressType[16];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMacAddressTypeһMacַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPMacAddressType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPortTypeһ˿ں
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPPortType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLangTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_LGT_ZHCN = '0';
	///
	const char TORA_TSTP_SP_LGT_ZHHK = '1';
	///Ӣ
	const char TORA_TSTP_SP_LGT_ENUS = '2';
	typedef char TTORATstpSPLangType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderLocalIDTypeһر
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPOrderLocalIDType[13];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBusinessUnitIDTypeһͶʵԪ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPBusinessUnitIDType[17];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityNameTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPSecurityNameType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderRefTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPOrderRefType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRequestIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPRequestIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIntSerialTypeһˮ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPIntSerialType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorNameTypeһͶ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPInvestorNameType[81];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserNameTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPUserNameType[81];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLoginLimitTypeһ¼
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPLoginLimitType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBankIDTypeһд
	/////////////////////////////////////////////////////////////////////////
	///й
	const char TORA_TSTP_SP_BKID_CCB = '1';
	///йũҵ
	const char TORA_TSTP_SP_BKID_ABC = '2';
	///й
	const char TORA_TSTP_SP_BKID_ICBC = '3';
	///й
	const char TORA_TSTP_SP_BKID_BOC = '4';
	///й
	const char TORA_TSTP_SP_BKID_CMBC = '5';
	///йͨ
	const char TORA_TSTP_SP_BKID_BC = '6';
	///ֶչ
	const char TORA_TSTP_SP_BKID_SPDB = '7';
	///ҵ
	const char TORA_TSTP_SP_BKID_CIB = '8';
	///й
	const char TORA_TSTP_SP_BKID_CEB = '9';
	///㶫չ
	const char TORA_TSTP_SP_BKID_GDB = 'a';
	///
	const char TORA_TSTP_SP_BKID_CITIC = 'b';
	///ƽ
	const char TORA_TSTP_SP_BKID_SPABANK = 'c';
	typedef char TTORATstpSPBankIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCurrencyIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_CID_CNY = '1';
	///۱
	const char TORA_TSTP_SP_CID_HKD = '2';
	///Ԫ
	const char TORA_TSTP_SP_CID_USD = '3';
	typedef char TTORATstpSPCurrencyIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpActiveStatusTypeһû״̬
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_USTS_Enabled = '1';
	///
	const char TORA_TSTP_SP_USTS_Disabled = '2';
	///
	const char TORA_TSTP_SP_USTS_Locked = '3';
	typedef char TTORATstpSPActiveStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAuthModeTypeһ֤ʽ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_AM_Password = '0';
	///ָ
	const char TORA_TSTP_SP_AM_FingerPrint = '1';
	///Կ״
	const char TORA_TSTP_SP_AM_CertInfo = '2';
	typedef char TTORATstpSPAuthModeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDeviceTypeTypeһ豸
	/////////////////////////////////////////////////////////////////////////
	///PC
	const char TORA_TSTP_SP_DT_PC = '0';
	///ƶ
	const char TORA_TSTP_SP_DT_Mobile = '1';
	typedef char TTORATstpSPDeviceTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDeviceIDTypeһ豸ʶ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPDeviceIDType[129];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCertSerialTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPCertSerialType[129];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCombOffsetFlagTypeһϿƽ־
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPCombOffsetFlagType[5];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCombHedgeFlagTypeһͶױ־
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPCombHedgeFlagType[5];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTelephoneTypeһϵ绰
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPTelephoneType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMobileTypeһֻ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPMobileType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLongVolumeTypeһLongVolume
	/////////////////////////////////////////////////////////////////////////
	typedef long long int TTORATstpSPLongVolumeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderUnitTypeһ걨λ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_OUT_Shou = '0';
	///
	const char TORA_TSTP_SP_OUT_Gu = '1';
	///
	const char TORA_TSTP_SP_OUT_Fen = '2';
	///
	const char TORA_TSTP_SP_OUT_Zhang = '3';
	typedef char TTORATstpSPOrderUnitType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorTypeTypeһͶ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_CT_Person = '0';
	///
	const char TORA_TSTP_SP_CT_Company = '1';
	///Ӫ
	const char TORA_TSTP_SP_CT_SelfOperate = '5';
	typedef char TTORATstpSPInvestorTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIdCardTypeTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	///֯
	const char TORA_TSTP_SP_ICT_EID = '0';
	///й֤
	const char TORA_TSTP_SP_ICT_IDCard = '1';
	///֤
	const char TORA_TSTP_SP_ICT_OfficerIDCard = '2';
	///֤
	const char TORA_TSTP_SP_ICT_PoliceIDCard = '3';
	///ʿ֤
	const char TORA_TSTP_SP_ICT_SoldierIDCard = '4';
	///ڲ
	const char TORA_TSTP_SP_ICT_HouseholdRegister = '5';
	///
	const char TORA_TSTP_SP_ICT_Passport = '6';
	///̨֤
	const char TORA_TSTP_SP_ICT_TaiwanCompatriotIDCard = '7';
	///֤
	const char TORA_TSTP_SP_ICT_HomeComingCard = '8';
	///Ӫҵִպ
	const char TORA_TSTP_SP_ICT_LicenseNo = '9';
	///˰ǼǺ/˰ID
	const char TORA_TSTP_SP_ICT_TaxNo = 'A';
	///۰ľڵ֤ͨ
	const char TORA_TSTP_SP_ICT_HMMainlandTravelPermit = 'B';
	///̨½֤ͨ
	const char TORA_TSTP_SP_ICT_TwMainlandTravelPermit = 'C';
	///
	const char TORA_TSTP_SP_ICT_DrivingLicense = 'D';
	///籣ID
	const char TORA_TSTP_SP_ICT_SocialID = 'F';
	///֤
	const char TORA_TSTP_SP_ICT_LocalID = 'G';
	///ҵǼ֤
	const char TORA_TSTP_SP_ICT_BusinessRegistration = 'H';
	///۰Ծ֤
	const char TORA_TSTP_SP_ICT_HKMCIDCard = 'I';
	///п֤
	const char TORA_TSTP_SP_ICT_AccountsPermits = 'J';
	///֤
	const char TORA_TSTP_SP_ICT_OtherCard = 'x';
	typedef char TTORATstpSPIdCardTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAccountTypeTypeһʽ˻
	/////////////////////////////////////////////////////////////////////////
	///ͨ
	const char TORA_TSTP_SP_FAT_Normal = '1';
	///
	const char TORA_TSTP_SP_FAT_Credit = '2';
	///Ʒ
	const char TORA_TSTP_SP_FAT_Derivatives = '3';
	typedef char TTORATstpSPAccountTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDirectionTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_D_Buy = '0';
	///
	const char TORA_TSTP_SP_D_Sell = '1';
	///գ)
	const char TORA_TSTP_SP_D_Non = '*';
	typedef char TTORATstpSPDirectionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCombDirectionTypeһϱ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_CBD_Combine = '0';
	///
	const char TORA_TSTP_SP_CBD_Split = '1';
	///ǿ
	const char TORA_TSTP_SP_CBD_ForceSplit = '2';
	typedef char TTORATstpSPCombDirectionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBrokerageTypeTypeһӶ
	/////////////////////////////////////////////////////////////////////////
	///ëӶ
	const char TORA_TSTP_SP_BT_Gross = '0';
	///Ӷ
	const char TORA_TSTP_SP_BT_Net = '1';
	typedef char TTORATstpSPBrokerageTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserTypeTypeһû
	/////////////////////////////////////////////////////////////////////////
	///͹˾û
	const char TORA_TSTP_SP_UTYPE_BrokerUser = '0';
	///û
	const char TORA_TSTP_SP_UTYPE_SuperUser = '1';
	///Ͷû
	const char TORA_TSTP_SP_UTYPE_Investor = '2';
	typedef char TTORATstpSPUserTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOperateSourceTypeһԴ
	/////////////////////////////////////////////////////////////////////////
	///ʵʱϳ
	const char TORA_TSTP_SP_OPRTSRC_DBCommand = '0';
	///API
	const char TORA_TSTP_SP_OPRTSRC_SyncAPI = '1';
	///ʵʱģʽԶ
	const char TORA_TSTP_SP_OPRTSRC_RealTimeAuto = '2';
	typedef char TTORATstpSPOperateSourceType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOperwayTypeһίзʽöֵοȯҪдַ
	/////////////////////////////////////////////////////////////////////////
	///绰ί
	const char TORA_TSTP_SP_OPERW_Telephone = '0';
	///̨ί
	const char TORA_TSTP_SP_OPERW_OTC = '1';
	///ƶͻί
	const char TORA_TSTP_SP_OPERW_MobileClient = '2';
	///PCͻί
	const char TORA_TSTP_SP_OPERW_PCClient = '3';
	///TYί
	const char TORA_TSTP_SP_OPERW_TY = '4';
	typedef char TTORATstpSPOperwayType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOperwaysTypeһίзʽϼ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPOperwaysType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderPriceTypeTypeһ۸
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_OPT_AnyPrice = '1';
	///޼
	const char TORA_TSTP_SP_OPT_LimitPrice = '2';
	///ż
	const char TORA_TSTP_SP_OPT_BestPrice = '3';
	///¼
	const char TORA_TSTP_SP_OPT_LastPrice = '4';
	///ؼ
	const char TORA_TSTP_SP_OPT_Relative = '5';
	///һ
	const char TORA_TSTP_SP_OPT_AskPrice1 = '8';
	///һ
	const char TORA_TSTP_SP_OPT_BidPrice1 = 'C';
	///嵵
	const char TORA_TSTP_SP_OPT_FiveLevelPrice = 'G';
	///
	const char TORA_TSTP_SP_OPT_HomeBestPrice = 'a';
	typedef char TTORATstpSPOrderPriceTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTimeConditionTypeһЧ
	/////////////////////////////////////////////////////////////////////////
	///ɣ
	const char TORA_TSTP_SP_TC_IOC = '1';
	///Ч
	const char TORA_TSTP_SP_TC_GFS = '2';
	///Ч
	const char TORA_TSTP_SP_TC_GFD = '3';
	///ָǰЧ
	const char TORA_TSTP_SP_TC_GTD = '4';
	///ǰЧ
	const char TORA_TSTP_SP_TC_GTC = '5';
	///ϾЧ
	const char TORA_TSTP_SP_TC_GFA = '6';
	typedef char TTORATstpSPTimeConditionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeConditionTypeһɽ
	/////////////////////////////////////////////////////////////////////////
	///κ
	const char TORA_TSTP_SP_VC_AV = '1';
	///С
	const char TORA_TSTP_SP_VC_MV = '2';
	///ȫ
	const char TORA_TSTP_SP_VC_CV = '3';
	typedef char TTORATstpSPVolumeConditionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpForceCloseReasonTypeһǿƽԭ
	/////////////////////////////////////////////////////////////////////////
	///ǿƽ
	const char TORA_TSTP_SP_FCC_NotForceClose = '0';
	///ʽ
	const char TORA_TSTP_SP_FCC_LackDeposit = '1';
	///ͻ
	const char TORA_TSTP_SP_FCC_ClientOverPositionLimit = '2';
	///Ա
	const char TORA_TSTP_SP_FCC_MemberOverPositionLimit = '3';
	///ֲַ
	const char TORA_TSTP_SP_FCC_NotMultiple = '4';
	///Υ
	const char TORA_TSTP_SP_FCC_Violation = '5';
	///
	const char TORA_TSTP_SP_FCC_Other = '6';
	typedef char TTORATstpSPForceCloseReasonType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCancelOrderStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///ύ
	const char TORA_TSTP_SP_CORDS_Submitted = 'a';
	///ѳɹ
	const char TORA_TSTP_SP_CORDS_Canceled = 'b';
	///ʧ
	const char TORA_TSTP_SP_CORDS_Fail = 'c';
	typedef char TTORATstpSPCancelOrderStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferDirectionTypeһתƷ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_TRNSD_In = '0';
	///
	const char TORA_TSTP_SP_TRNSD_Out = '1';
	///
	const char TORA_TSTP_SP_TRNSD_MoveIn = '2';
	///
	const char TORA_TSTP_SP_TRNSD_MoveOut = '3';
	///
	const char TORA_TSTP_SP_TRNSD_Freeze = '4';
	///ⶳ
	const char TORA_TSTP_SP_TRNSD_UnFreeze = '5';
	///֤ת
	const char TORA_TSTP_SP_TRNSD_TransferIn = '6';
	///֤ת
	const char TORA_TSTP_SP_TRNSD_TransferOut = '7';
	typedef char TTORATstpSPTransferDirectionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSPStockTransferReasonTypeһȨֻתԭ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_SSTR_In = '0';
	///
	const char TORA_TSTP_SP_SSTR_Out = '1';
	///
	const char TORA_TSTP_SP_SSTR_MoveIn = 'a';
	///
	const char TORA_TSTP_SP_SSTR_MoveOut = 'b';
	///
	const char TORA_TSTP_SP_SSTR_Lock = 'c';
	///
	const char TORA_TSTP_SP_SSTR_LockRepeal = 'k';
	///ⶳ
	const char TORA_TSTP_SP_SSTR_LockCancel = 'q';
	///ҽⶳ
	const char TORA_TSTP_SP_SSTR_UnLock = 'd';
	///Ȩ
	const char TORA_TSTP_SP_SSTR_Exercise = 'e';
	///Ȩ
	const char TORA_TSTP_SP_SSTR_ExerciseRepeal = 'l';
	///Ȩⶳ
	const char TORA_TSTP_SP_SSTR_ExerciseCancel = 'f';
	///֤תҶ
	const char TORA_TSTP_SP_SSTR_MarginToCover = 'h';
	///֤תҶⶳ
	const char TORA_TSTP_SP_SSTR_MarginToCoverRepeal = 'i';
	///֤תҳⶳ
	const char TORA_TSTP_SP_SSTR_MarginToCoverCancel = 'p';
	///ת֤
	const char TORA_TSTP_SP_SSTR_CoverToMargin = 'j';
	///ҿֶ
	const char TORA_TSTP_SP_SSTR_CoverOpen = 'm';
	///ҿֶ
	const char TORA_TSTP_SP_SSTR_CoverOpenRepeal = 'n';
	///ҿֳⶳ
	const char TORA_TSTP_SP_SSTR_CoverOpenCancel = 'o';
	///ƽֽⶳ
	const char TORA_TSTP_SP_SSTR_CoverClose = 'g';
	typedef char TTORATstpSPSPStockTransferReasonType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferStatusTypeһת״̬
	/////////////////////////////////////////////////////////////////////////
	///Transferڴ
	const char TORA_TSTP_SP_TRANST_TransferHandling = '0';
	///Transferɹ
	const char TORA_TSTP_SP_TRANST_TransferSuccess = '1';
	///Transferʧ
	const char TORA_TSTP_SP_TRANST_TransferFail = '2';
	///Repealڴ
	const char TORA_TSTP_SP_TRANST_RepealHandling = '3';
	///Repealɹ
	const char TORA_TSTP_SP_TRANST_RepealSuccess = '4';
	///Repealʧ
	const char TORA_TSTP_SP_TRANST_RepealFail = '5';
	///ⲿϵͳѽ
	const char TORA_TSTP_SP_TRANST_ExternalAccepted = '6';
	typedef char TTORATstpSPTransferStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferPositionTypeTypeһתƳֲ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_TPT_ALL = '0';
	///
	const char TORA_TSTP_SP_TPT_History = '1';
	///
	const char TORA_TSTP_SP_TPT_TodayBS = '2';
	///
	const char TORA_TSTP_SP_TPT_TodayPR = '3';
	typedef char TTORATstpSPTransferPositionTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBizRefTypeһҵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPBizRefType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSystemNameTypeһϵͳ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPSystemNameType[41];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///Ѵ
	const char TORA_TSTP_SP_OST_Handled = '0';
	///ѽ
	const char TORA_TSTP_SP_OST_Accepted = '1';
	///ֳɽ
	const char TORA_TSTP_SP_OST_PartTraded = '2';
	///ȫɽ
	const char TORA_TSTP_SP_OST_AllTraded = '3';
	///
	const char TORA_TSTP_SP_OST_PartTradedCancelled = '4';
	///ȫ
	const char TORA_TSTP_SP_OST_Cancelled = '5';
	///ϵ
	const char TORA_TSTP_SP_OST_Failed = '6';
	///Ԥ
	const char TORA_TSTP_SP_OST_Cached = '7';
	///ֻϵͳ
	const char TORA_TSTP_SP_OST_SendStock = '8';
	///׺Ĵ
	const char TORA_TSTP_SP_OST_SendTradeKernel = '9';
	///
	const char TORA_TSTP_SP_OST_NON = 'a';
	typedef char TTORATstpSPOrderStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderOperateStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///Ѿύ
	const char TORA_TSTP_SP_OOS_InsertSubmitted = '0';
	///Ѿύ
	const char TORA_TSTP_SP_OOS_CancelSubmitted = '1';
	///Ѿ
	const char TORA_TSTP_SP_OOS_Accepted = '2';
	///Ѿܾ
	const char TORA_TSTP_SP_OOS_InsertRejected = '3';
	///Ѿܾ
	const char TORA_TSTP_SP_OOS_CancelRejected = '4';
	///δύ
	const char TORA_TSTP_SP_OOS_UnSubmitted = '5';
	typedef char TTORATstpSPOrderOperateStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOffsetFlagTypeһƽ־
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_OF_Open = '0';
	///ƽ
	const char TORA_TSTP_SP_OF_Close = '1';
	///ǿƽ
	const char TORA_TSTP_SP_OF_ForceClose = '2';
	///ƽ
	const char TORA_TSTP_SP_OF_CloseToday = '3';
	///ƽ
	const char TORA_TSTP_SP_OF_CloseYesterday = '4';
	///ǿ
	const char TORA_TSTP_SP_OF_ForceOff = '5';
	///ǿƽ
	const char TORA_TSTP_SP_OF_LocalForceClose = '6';
	///Ȩڲʹã
	const char TORA_TSTP_SP_OF_Exercise = '7';
	///ڲʹã
	const char TORA_TSTP_SP_OF_Lock = '8';
	///ڲʹã
	const char TORA_TSTP_SP_OF_UnLock = '9';
	///ϣڲʹã
	const char TORA_TSTP_SP_OF_Combine = 'a';
	///֣ڲʹã
	const char TORA_TSTP_SP_OF_Split = 'b';
	///ƽ
	const char TORA_TSTP_SP_OF_UnilateralClose = 'e';
	typedef char TTORATstpSPOffsetFlagType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCountTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPCountType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpHedgeFlagTypeһͶױ־
	/////////////////////////////////////////////////////////////////////////
	///Ͷ
	const char TORA_TSTP_SP_HF_Speculation = '1';
	///
	const char TORA_TSTP_SP_HF_Arbitrage = '2';
	///ױ
	const char TORA_TSTP_SP_HF_Hedge = '3';
	///
	const char TORA_TSTP_SP_HF_Covered = '4';
	///б(ڲʹ)
	const char TORA_TSTP_SP_HF_MarketMaker = '5';
	typedef char TTORATstpSPHedgeFlagType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderActionFlagTypeһίв־
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_OAF_Delete = '0';
	///ǿƳ
	const char TORA_TSTP_SP_OAF_ForceDelete = '1';
	typedef char TTORATstpSPOrderActionFlagType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExerciseDirectionTypeһȨ
	/////////////////////////////////////////////////////////////////////////
	///Ȩ
	const char TORA_TSTP_SP_EXCD_Active = '0';
	///Ȩ
	const char TORA_TSTP_SP_EXCD_Passive = '1';
	typedef char TTORATstpSPExerciseDirectionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCoverFlagTypeһұ־
	/////////////////////////////////////////////////////////////////////////
	///Ǳ
	const char TORA_TSTP_SP_CVF_Uncovered = '0';
	///
	const char TORA_TSTP_SP_CVF_Covered = '1';
	typedef char TTORATstpSPCoverFlagType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMDSubModeTypeһ鶩ģʽ
	/////////////////////////////////////////////////////////////////////////
	///TCPģʽ
	const char TORA_TSTP_SP_MST_TCP = '0';
	///UDPģʽ
	const char TORA_TSTP_SP_MST_UDP = '1';
	///UDP鲥ģʽ
	const char TORA_TSTP_SP_MST_MCAST = '2';
	typedef char TTORATstpSPMDSubModeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpShareholderIDTypeTypeһɶ
	/////////////////////////////////////////////////////////////////////////
	///δ֪
	const char TORA_TSTP_SP_SHID_Unknown = '0';
	///ͨ
	const char TORA_TSTP_SP_SHID_Normal = '1';
	///
	const char TORA_TSTP_SP_SHID_Credit = '2';
	///Ʒ
	const char TORA_TSTP_SP_SHID_Derivatives = '3';
	typedef char TTORATstpSPShareholderIDTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpStrikeModeTypeһִзʽ
	/////////////////////////////////////////////////////////////////////////
	///ŷʽ
	const char TORA_TSTP_SP_STM_Continental = '0';
	///ʽ
	const char TORA_TSTP_SP_STM_American = '1';
	///Ľ
	const char TORA_TSTP_SP_STM_Bermuda = '2';
	typedef char TTORATstpSPStrikeModeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOptionsTypeTypeһȨ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_CP_CallOptions = '1';
	///
	const char TORA_TSTP_SP_CP_PutOptions = '2';
	typedef char TTORATstpSPOptionsTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpProductIDTypeһԼƷִ
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_SP_PID_COMMON = '0';
	///ϺƱ
	const char TORA_TSTP_SP_PID_SHStock = '1';
	///Ϻ
	const char TORA_TSTP_SP_PID_SHFund = '3';
	///Ϻծȯ
	const char TORA_TSTP_SP_PID_SHBond = '4';
	///ڹƱ
	const char TORA_TSTP_SP_PID_SZStock = '7';
	///ڻ
	const char TORA_TSTP_SP_PID_SZFund = '9';
	///ծȯ
	const char TORA_TSTP_SP_PID_SZBond = 'a';
	///ϺȨ
	const char TORA_TSTP_SP_PID_SHStockOption = 'd';
	///ڸȨ
	const char TORA_TSTP_SP_PID_SZStockOption = 'e';
	typedef char TTORATstpSPProductIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityTypeTypeһԼ
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_SP_STP_COMMON = '0';
	///ϺƱͿȨ
	const char TORA_TSTP_SP_STP_SHCallAStockOption = '1';
	///ϺƱͿȨ
	const char TORA_TSTP_SP_STP_SHPullAStockOption = '2';
	///ϺͿȨ
	const char TORA_TSTP_SP_STP_SHCallFundStockOption = '3';
	///ϺͿȨ
	const char TORA_TSTP_SP_STP_SHPullFundStockOption = '4';
	///ڹƱͿȨ
	const char TORA_TSTP_SP_STP_SZCallAStockOption = '5';
	///ڹƱͿȨ
	const char TORA_TSTP_SP_STP_SZPullAStockOption = '6';
	///ڻͿȨ
	const char TORA_TSTP_SP_STP_SZCallFundStockOption = '7';
	///ڻͿȨ
	const char TORA_TSTP_SP_STP_SZPullFundStockOption = '8';
	///ϺȨ
	const char TORA_TSTP_SP_STP_SHCombOption = '9';
	///Ȩ
	const char TORA_TSTP_SP_STP_SZCombOption = 'a';
	typedef char TTORATstpSPSecurityTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBusinessClassTypeһҵ
	/////////////////////////////////////////////////////////////////////////
	///뿪
	const char TORA_TSTP_SP_BC_BuyOpen = 'A';
	///ƽ
	const char TORA_TSTP_SP_BC_BuyClose = 'B';
	///
	const char TORA_TSTP_SP_BC_SellOpen = 'C';
	///ƽ
	const char TORA_TSTP_SP_BC_SellClose = 'D';
	///ҿ
	const char TORA_TSTP_SP_BC_CoveredOpen = 'E';
	///ƽ
	const char TORA_TSTP_SP_BC_CoveredClose = 'F';
	///Ȩ
	const char TORA_TSTP_SP_BC_ExecOrder = 'G';
	///ƽ֣ƽ֣
	const char TORA_TSTP_SP_BC_UnilateralBuyClose = 'H';
	///Ч
	const char TORA_TSTP_SP_BC_Invalid = 'I';
	///뿪
	const char TORA_TSTP_SP_BC_QuoteBuyOpen = 'J';
	///ƽ
	const char TORA_TSTP_SP_BC_QuoteBuyClose = 'K';
	///
	const char TORA_TSTP_SP_BC_QuoteSellOpen = 'L';
	///ƽ
	const char TORA_TSTP_SP_BC_QuoteSellClose = 'M';
	typedef char TTORATstpSPBusinessClassType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSystemFlagTypeһϵͳʶ
	/////////////////////////////////////////////////////////////////////////
	///ֻϵͳ
	const char TORA_TSTP_SP_SFT_Stock = '0';
	///Ȩϵͳ
	const char TORA_TSTP_SP_SFT_Option = '1';
	///ϵͳ
	const char TORA_TSTP_SP_SFT_Credit = '2';
	///ϵͳ
	const char TORA_TSTP_SP_SFT_MarketData = '3';
	///Lev2ϵͳ
	const char TORA_TSTP_SP_SFT_Lev2MarketData = '4';
	typedef char TTORATstpSPSystemFlagType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPosiDirectionTypeһֲֶշ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_PD_Net = '1';
	///ͷ
	const char TORA_TSTP_SP_PD_Long = '2';
	///ͷ
	const char TORA_TSTP_SP_PD_Short = '3';
	typedef char TTORATstpSPPosiDirectionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMarketIDTypeһг
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_SP_MKD_COMMON = '0';
	///ϺA
	const char TORA_TSTP_SP_MKD_SHA = '1';
	///A
	const char TORA_TSTP_SP_MKD_SZA = '2';
	///ϺB
	const char TORA_TSTP_SP_MKD_SHB = '3';
	///B
	const char TORA_TSTP_SP_MKD_SZB = '4';
	///A
	const char TORA_TSTP_SP_MKD_SZThreeA = '5';
	///B
	const char TORA_TSTP_SP_MKD_SZThreeB = '6';
	///г
	const char TORA_TSTP_SP_MKD_Foreign = '7';
	typedef char TTORATstpSPMarketIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLogInAccountTypeһ¼˻
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPLogInAccountType[21];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLogInAccountTypeTypeһ¼˻
	/////////////////////////////////////////////////////////////////////////
	///û
	const char TORA_TSTP_SP_LACT_UserID = '0';
	///ʽ˺
	const char TORA_TSTP_SP_LACT_AccountID = '1';
	///ϺA
	const char TORA_TSTP_SP_LACT_SHAStock = '2';
	///A
	const char TORA_TSTP_SP_LACT_SZAStock = '3';
	///ϺB
	const char TORA_TSTP_SP_LACT_SHBStock = '4';
	///B
	const char TORA_TSTP_SP_LACT_SZBStock = '5';
	///A
	const char TORA_TSTP_SP_LACT_ThreeNewBoardA = '6';
	///B
	const char TORA_TSTP_SP_LACT_ThreeNewBoardB = '7';
	///۹
	const char TORA_TSTP_SP_LACT_HKStock = '8';
	///ͳһû
	const char TORA_TSTP_SP_LACT_UnifiedUserID = '9';
	typedef char TTORATstpSPLogInAccountTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMarketStatusTypeһг״̬
	/////////////////////////////////////////////////////////////////////////
	///δ֪
	const char TORA_TSTP_SP_MST_UnKnown = '#';
	///ǰ
	const char TORA_TSTP_SP_MST_BeforeTrading = '0';
	///
	const char TORA_TSTP_SP_MST_Continous = '1';
	///
	const char TORA_TSTP_SP_MST_Closed = '2';
	///̼Ͼ
	const char TORA_TSTP_SP_MST_OpenCallAuction = '3';
	typedef char TTORATstpSPMarketStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBigsInfoTypeһַϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPBigsInfoType[33];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpShortsInfoTypeһַϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPShortsInfoType[9];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIntInfoTypeһθϢ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPIntInfoType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpApiGroupIDTypeһApi
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPApiGroupIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpApiRunModeTypeһApiģʽ
	/////////////////////////////////////////////////////////////////////////
	///һ
	const char TORA_TSTP_SP_ARM_Single = '0';
	///Ⱥ
	const char TORA_TSTP_SP_ARM_Group = '1';
	typedef char TTORATstpSPApiRunModeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorLevelTypeһͶ߷ּ
	/////////////////////////////////////////////////////////////////////////
	///ϸͶ
	const char TORA_TSTP_SP_IVL_Invalid = '0';
	///һ
	const char TORA_TSTP_SP_IVL_First = '1';
	///
	const char TORA_TSTP_SP_IVL_Second = '2';
	///
	const char TORA_TSTP_SP_IVL_Third = '3';
	typedef char TTORATstpSPInvestorLevelType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCondCheckTypeһί
	/////////////////////////////////////////////////////////////////////////
	///κμ
	const char TORA_TSTP_SP_CCT_None = '0';
	///Գɽ
	const char TORA_TSTP_SP_CCT_SelfDeal = '1';
	typedef char TTORATstpSPCondCheckType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpHDSerialTypeһӲк
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPHDSerialType[33];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpStatusMsgTypeһ״̬Ϣ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPStatusMsgType[121];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLockTypeTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_LT_Lock = '0';
	///
	const char TORA_TSTP_SP_LT_UnLock = '1';
	typedef char TTORATstpSPLockTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLockStatusTypeһ걨״̬
	/////////////////////////////////////////////////////////////////////////
	///ֻϵͳ
	const char TORA_TSTP_SP_LST_SendStock = '0';
	///
	const char TORA_TSTP_SP_LST_SendOffer = '2';
	////ʧ
	const char TORA_TSTP_SP_LST_Fail = '3';
	////ɹ
	const char TORA_TSTP_SP_LST_Success = '4';
	///ǿƳ
	const char TORA_TSTP_SP_LST_ForceCancell = '5';
	typedef char TTORATstpSPLockStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExerciseTypeTypeһȨִ
	/////////////////////////////////////////////////////////////////////////
	///ִ
	const char TORA_TSTP_SP_EXERT_Execute = '1';
	///
	const char TORA_TSTP_SP_EXERT_Drop = '2';
	typedef char TTORATstpSPExerciseTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExerciseStatusTypeһȨִ״̬
	/////////////////////////////////////////////////////////////////////////
	///ֻϵͳ
	const char TORA_TSTP_SP_EXERS_SendStock = '0';
	///
	const char TORA_TSTP_SP_EXERS_SendOffer = '2';
	///Ȩʧ
	const char TORA_TSTP_SP_EXERS_Fail = '3';
	///ѽ
	const char TORA_TSTP_SP_EXERS_Accepted = '4';
	///Ȩѳ
	const char TORA_TSTP_SP_EXERS_Cancelled = '5';
	typedef char TTORATstpSPExerciseStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpStockDisposalTypeTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	///뵽֤ȯ˾˻
	const char TORA_TSTP_SP_SDT_Broker = '1';
	///뵽Ͷ֤ȯ˻
	const char TORA_TSTP_SP_SDT_Investor = '2';
	typedef char TTORATstpSPStockDisposalTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpStockDisposalStatusTypeһ֤ȯ״̬
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_SDS_SendOffer = '1';
	///ʧ
	const char TORA_TSTP_SP_SDS_Fail = '2';
	///ѽ
	const char TORA_TSTP_SP_SDS_Accepted = '3';
	///֤ȯѳ
	const char TORA_TSTP_SP_SDS_Cancelled = '4';
	typedef char TTORATstpSPStockDisposalStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCombinationStrategyTypeһϲ
	/////////////////////////////////////////////////////////////////////////
	///Ϲţм۲
	const char TORA_TSTP_SP_CBS_CNSJC = '1';
	///Ϲм۲
	const char TORA_TSTP_SP_CBS_CXSJC = '2';
	///Ϲм۲
	const char TORA_TSTP_SP_CBS_PXSJC = '3';
	///Ϲţм۲
	const char TORA_TSTP_SP_CBS_PNSJC = '4';
	///ʽͷ
	const char TORA_TSTP_SP_CBS_KS = '5';
	///ʽͷ
	const char TORA_TSTP_SP_CBS_KKS = '6';
	///֤𿪲ת
	const char TORA_TSTP_SP_CBS_ZBD = '7';
	///Ҳתͨ
	const char TORA_TSTP_SP_CBS_ZXJ = '8';
	typedef char TTORATstpSPCombinationStrategyType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMDSecurityStatTypeһ֤ȯ״̬
	/////////////////////////////////////////////////////////////////////////
	///ǰ
	const char TORA_TSTP_SP_MSST_PreOpen = '0';
	///Ͼ
	const char TORA_TSTP_SP_MSST_CallAuction = '1';
	///
	const char TORA_TSTP_SP_MSST_Continous = '2';
	///
	const char TORA_TSTP_SP_MSST_Pause = '3';
	///ͣ
	const char TORA_TSTP_SP_MSST_Suspend = '4';
	///ͣ
	const char TORA_TSTP_SP_MSST_LongSuspend = '5';
	///ж
	const char TORA_TSTP_SP_MSST_UndulationInt = '6';
	///۶Ͽɻָ
	const char TORA_TSTP_SP_MSST_CircuitBreak = '7';
	///۶ϲɻָ
	const char TORA_TSTP_SP_MSST_CircuitBreakU = '8';
	///
	const char TORA_TSTP_SP_MSST_Close = '9';
	///
	const char TORA_TSTP_SP_MSST_Other = 'a';
	///̼Ͼ
	const char TORA_TSTP_SP_MSST_CloseCallAuction = 'b';
	typedef char TTORATstpSPMDSecurityStatType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCondOrderIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSPCondOrderIDType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpContingentConditionTypeһ
	/////////////////////////////////////////////////////////////////////////
	///ɽ
	const char TORA_TSTP_SP_CC_TradeTouch = '0';
	///
	const char TORA_TSTP_SP_CC_CancelTouch = '1';
	///ʱ䴥
	const char TORA_TSTP_SP_CC_TimeTouch = '2';
	///ʱδ
	const char TORA_TSTP_SP_CC_SegmentTouch = '3';
	///¼۴ڵ
	const char TORA_TSTP_SP_CC_LastPriceGreaterThanStopPrice = '4';
	///¼Сڵ
	const char TORA_TSTP_SP_CC_LastPriceLesserThanStopPrice = '5';
	///һ۴ڵ
	const char TORA_TSTP_SP_CC_AskPriceGreaterEqualStopPrice = '6';
	///һСڵ
	const char TORA_TSTP_SP_CC_AskPriceLesserEqualStopPrice = '7';
	///һ۴ڵ
	const char TORA_TSTP_SP_CC_BidPriceGreaterEqualStopPrice = '8';
	///һСڵ
	const char TORA_TSTP_SP_CC_BidPriceLesserEqualStopPrice = '9';
	typedef char TTORATstpSPContingentConditionType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderVolumeTypeTypeһ
	/////////////////////////////////////////////////////////////////////////
	///Զ
	const char TORA_TSTP_SP_OVT_CustomVol = '1';
	///
	const char TORA_TSTP_SP_OVT_RelativeVol = '2';
	typedef char TTORATstpSPOrderVolumeTypeType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCondOrderStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///ʼ
	const char TORA_TSTP_SP_COST_Initial = '#';
	///δ
	const char TORA_TSTP_SP_COST_NotTouched = '0';
	///Ѵ
	const char TORA_TSTP_SP_COST_Touched = '1';
	///ѽ
	const char TORA_TSTP_SP_COST_Finished = '2';
	///ѳ
	const char TORA_TSTP_SP_COST_Cancel = '3';
	///ʧ
	const char TORA_TSTP_SP_COST_Failed = '4';
	typedef char TTORATstpSPCondOrderStatusType;

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRelativeCondParamTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPRelativeCondParamType[31];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMessageTypeһ֪ͨϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSPMessageType[513];

	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRiskLevelTypeһռ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_SP_RL_None = '0';
	///ʾ
	const char TORA_TSTP_SP_RL_Warn = '1';
	///׷
	const char TORA_TSTP_SP_RL_Call = '2';
	///ǿƽ
	const char TORA_TSTP_SP_RL_Force = '3';
	///
	const char TORA_TSTP_SP_RL_Wear = '4';
	///쳣
	const char TORA_TSTP_SP_RL_Exception = '5';
	typedef char TTORATstpSPRiskLevelType;
}
#endif