/////////////////////////////////////////////////////////////////////////
///@company Ϻ̩ϢƼ޹˾
///@file TORATstpUserApiDataType.h
///@brief ˿ͻ˽ӿʹõҵ
///@history 
/////////////////////////////////////////////////////////////////////////
#ifndef TORATSTPUSERAPIDATATYPE_H__
#define TORATSTPUSERAPIDATATYPE_H__


#include <limits.h>
#include <float.h>

namespace TORASTOCKAPI
{
	///ֵ
	const int INT_NULL_VAL = INT_MAX;
	const double FLOAT_NULL_VAL = DBL_MAX;
	const char CHAR_NULL_VAL = 0;
	const short WORD_NULL_VAL = SHRT_MAX;
#ifdef WINDOWS
	const __int64 LONG_NULL_VAL = _I64_MAX;
#else
	const long long LONG_NULL_VAL = LLONG_MAX;
#endif
	
	///ÿպп
	inline void set_null(int &v)
	{
		v = INT_NULL_VAL;
	}
	inline bool is_null(const int &v)
	{
		return v == INT_NULL_VAL;
	}
	
	///ÿպп
	inline void set_null(double &v)
	{
		v = FLOAT_NULL_VAL;
	}
	inline bool is_null(const double &v)
	{
		return v == FLOAT_NULL_VAL;
	}
	
	///ַÿպп
	inline void set_null(char &v)
	{
		v = CHAR_NULL_VAL;
	}
	inline bool is_null(const char &v)
	{
		return v == CHAR_NULL_VAL;
	}
	
	///ÿպп
	inline void set_null(short &v)
	{
		v = WORD_NULL_VAL;
	}
	inline bool is_null(const short &v)
	{
		return v == WORD_NULL_VAL;
	}
	
	///ÿպп
	#ifdef WINDOWS
	inline void set_null(__int64 &v)
	#else
	inline void set_null(long long &v)
	#endif
	{
		v = LONG_NULL_VAL;
	}
	#ifdef WINDOWS
	inline bool is_null(const __int64 &v)
	#else
	inline bool is_null(const long long &v)
	#endif
	{
		return v == LONG_NULL_VAL;
	}
	
	///ַÿպп
	inline void set_null(char *v)
	{
		v[0] = '\0';
	}
	inline bool is_null(const char *v)
	{
		const char *p=v;
		while (*p)
		{
			if (*p!=' ')
			{
				return false;
			}
			p++;
		}
		return true;
	}
	
	enum TORA_TE_RESUME_TYPE
	{
		TORA_TERT_RESTART = 0,
		TORA_TERT_RESUME,
		TORA_TERT_QUICK
	};
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRequestIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpRequestIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLogInAccountTypeһ¼˻
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpLogInAccountType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLogInAccountTypeTypeһ¼˻
	/////////////////////////////////////////////////////////////////////////
	///û
	const char TORA_TSTP_LACT_UserID = '0';
	///ʽ˺
	const char TORA_TSTP_LACT_AccountID = '1';
	///ϺA
	const char TORA_TSTP_LACT_SHAStock = '2';
	///A
	const char TORA_TSTP_LACT_SZAStock = '3';
	///ϺB
	const char TORA_TSTP_LACT_SHBStock = '4';
	///B
	const char TORA_TSTP_LACT_SZBStock = '5';
	///A
	const char TORA_TSTP_LACT_ThreeNewBoardA = '6';
	///B
	const char TORA_TSTP_LACT_ThreeNewBoardB = '7';
	///۹
	const char TORA_TSTP_LACT_HKStock = '8';
	///ͳһû
	const char TORA_TSTP_LACT_UnifiedUserID = '9';
	///A
	const char TORA_TSTP_LACT_BJAStock = 'a';
	typedef char TTORATstpLogInAccountTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDepartmentIDTypeһŴ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpDepartmentIDType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAuthModeTypeһ֤ʽ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_AM_Password = '0';
	///ָ
	const char TORA_TSTP_AM_FingerPrint = '1';
	///Կ״
	const char TORA_TSTP_AM_CertInfo = '2';
	typedef char TTORATstpAuthModeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPasswordTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpPasswordType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserProductInfoTypeһû˲ƷϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUserProductInfoType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInterfaceProductInfoTypeһӿڶ˲ƷϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpInterfaceProductInfoType[33];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTerminalInfoTypeһնϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTerminalInfoType[256];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIPAddressTypeһIPַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpIPAddressType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMacAddressTypeһMacַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpMacAddressType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLangTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_LGT_ZHCN = '0';
	///
	const char TORA_TSTP_LGT_ZHHK = '1';
	///Ӣ
	const char TORA_TSTP_LGT_ENUS = '2';
	typedef char TTORATstpLangType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDeviceIDTypeһ豸ʶ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpDeviceIDType[129];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCertSerialTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpCertSerialType[129];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDeviceTypeTypeһ豸
	/////////////////////////////////////////////////////////////////////////
	///PC
	const char TORA_TSTP_DVT_PC = '0';
	///ƶ
	const char TORA_TSTP_DVT_Mobile = '1';
	typedef char TTORATstpDeviceTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNodeIDTypeһڵ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpNodeIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFrontIDTypeһǰñ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpFrontIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSessionIDTypeһỰ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSessionIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderRefTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpOrderRefType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpVolumeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTimeTypeһʱ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTimeType[9];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSystemNameTypeһϵͳ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSystemNameType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDateTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpDateType[9];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserIDTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUserIDType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserNameTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUserNameType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserTypeTypeһû
	/////////////////////////////////////////////////////////////////////////
	///͹˾û
	const char TORA_TSTP_UTYPE_BrokerUser = '0';
	///û
	const char TORA_TSTP_UTYPE_SuperUser = '1';
	///Ͷû
	const char TORA_TSTP_UTYPE_Investor = '2';
	typedef char TTORATstpUserTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCommFluxTypeһͨѶ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpCommFluxType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBoolTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpBoolType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpErrorIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpErrorIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpErrorMsgTypeһϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpErrorMsgType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExchangeIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_EXD_COMM = '0';
	///Ϻ
	const char TORA_TSTP_EXD_SSE = '1';
	///ڽ
	const char TORA_TSTP_EXD_SZSE = '2';
	///۽
	const char TORA_TSTP_EXD_HK = '3';
	///֤ȯ
	const char TORA_TSTP_EXD_BSE = '4';
	typedef char TTORATstpExchangeIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorIDTypeһͶߴ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpInvestorIDType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBusinessUnitIDTypeһͶʵԪ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpBusinessUnitIDType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpShareholderIDTypeһɶ˻
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpShareholderIDType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityIDTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSecurityIDType[31];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDirectionTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_D_Buy = '0';
	///
	const char TORA_TSTP_D_Sell = '1';
	///ETF깺
	const char TORA_TSTP_D_ETFPur = '2';
	///ETF
	const char TORA_TSTP_D_ETFRed = '3';
	///¹깺
	const char TORA_TSTP_D_IPO = '4';
	///ع
	const char TORA_TSTP_D_Repurchase = '5';
	///ع
	const char TORA_TSTP_D_ReverseRepur = '6';
	///ʽ깺
	const char TORA_TSTP_D_OeFundPur = '8';
	///ʽ
	const char TORA_TSTP_D_OeFundRed = '9';
	///Ʒ
	const char TORA_TSTP_D_CollateralIn = 'a';
	///Ʒ
	const char TORA_TSTP_D_CollateralOut = 'b';
	///Ѻ
	const char TORA_TSTP_D_PledgeIn = 'd';
	///Ѻ
	const char TORA_TSTP_D_PledgeOut = 'e';
	///ծ
	const char TORA_TSTP_D_Rationed = 'f';
	///
	const char TORA_TSTP_D_Split = 'g';
	///ϲ
	const char TORA_TSTP_D_Merge = 'h';
	///
	const char TORA_TSTP_D_CreditBuy = 'i';
	///ȯ
	const char TORA_TSTP_D_CreditSell = 'j';
	///ȯ
	const char TORA_TSTP_D_SellRepay = 'k';
	///ȯȯ
	const char TORA_TSTP_D_BuyRepay = 'l';
	///ȯת
	const char TORA_TSTP_D_RepayTransfer = 'm';
	///ȯת
	const char TORA_TSTP_D_SurplusTransfer = 'n';
	///Դȯת
	const char TORA_TSTP_D_SourceTransfer = 'o';
	///ծȯת
	const char TORA_TSTP_D_BondConvertStock = 't';
	///ծȯ
	const char TORA_TSTP_D_BondPutback = 'u';
	///ETFʵ깺
	const char TORA_TSTP_D_ETFOtPur = 'v';
	///ETFʵ
	const char TORA_TSTP_D_ETFOtRed = 'w';
	///۳
	const char TORA_TSTP_D_PutbackRelieve = 'x';
	///
	const char TORA_TSTP_D_IOIBuy = 'A';
	///
	const char TORA_TSTP_D_IOISell = 'B';
	///ɽȷ
	const char TORA_TSTP_D_TCRBuy = 'C';
	///ɽȷ
	const char TORA_TSTP_D_TCRSell = 'D';
	typedef char TTORATstpDirectionType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTypeһ۸
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpPriceType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderPriceTypeTypeһ۸
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_OPT_AnyPrice = '1';
	///޼
	const char TORA_TSTP_OPT_LimitPrice = '2';
	///ż
	const char TORA_TSTP_OPT_BestPrice = '3';
	///̺󶨼
	const char TORA_TSTP_OPT_FixPrice = '4';
	///嵵
	const char TORA_TSTP_OPT_FiveLevelPrice = '5';
	///
	const char TORA_TSTP_OPT_HomeBestPrice = '6';
	typedef char TTORATstpOrderPriceTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTimeConditionTypeһЧ
	/////////////////////////////////////////////////////////////////////////
	///ɣ
	const char TORA_TSTP_TC_IOC = '1';
	///Ч
	const char TORA_TSTP_TC_GFS = '2';
	///Ч
	const char TORA_TSTP_TC_GFD = '3';
	///ָǰЧ
	const char TORA_TSTP_TC_GTD = '4';
	///ǰЧ
	const char TORA_TSTP_TC_GTC = '5';
	///ϾЧ
	const char TORA_TSTP_TC_GFA = '6';
	typedef char TTORATstpTimeConditionType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeConditionTypeһɽ
	/////////////////////////////////////////////////////////////////////////
	///κ
	const char TORA_TSTP_VC_AV = '1';
	///С
	const char TORA_TSTP_VC_MV = '2';
	///ȫ
	const char TORA_TSTP_VC_CV = '3';
	typedef char TTORATstpVolumeConditionType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOperwayTypeһίзʽ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_OPERW_Non = ' ';
	///绰ί
	const char TORA_TSTP_OPERW_Telephone = '0';
	///̨ί
	const char TORA_TSTP_OPERW_OTC = '1';
	///ƶͻί
	const char TORA_TSTP_OPERW_MobileClient = '2';
	///PCͻί
	const char TORA_TSTP_OPERW_PCClient = '3';
	///TYί
	const char TORA_TSTP_OPERW_TY = '4';
	///ͨί
	const char TORA_TSTP_OPERW_Channel = '5';
	typedef char TTORATstpOperwayType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLotTypeTypeһ۹ɶ
	/////////////////////////////////////////////////////////////////////////
	///ɶ
	const char TORA_TSTP_LT_OddLot = '0';
	///ֶ
	const char TORA_TSTP_LT_RoundLot = '1';
	typedef char TTORATstpLotTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderSysIDTypeһϵͳ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpOrderSysIDType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCondCheckTypeһί
	/////////////////////////////////////////////////////////////////////////
	///κμ
	const char TORA_TSTP_CCT_None = '0';
	///Գɽ
	const char TORA_TSTP_CCT_SelfDeal = '1';
	typedef char TTORATstpCondCheckType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpForceCloseReasonTypeһǿƽԭ
	/////////////////////////////////////////////////////////////////////////
	///ǿƽ
	const char TORA_TSTP_FCC_NotForceClose = '0';
	///ʽ
	const char TORA_TSTP_FCC_MoneyNotEnough = '1';
	///λ
	const char TORA_TSTP_FCC_PositionOverFull = '2';
	///
	const char TORA_TSTP_FCC_Other = '3';
	typedef char TTORATstpForceCloseReasonType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCreditDebtIDTypeһøծ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpCreditDebtIDType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCreditQuotaTypeTypeһͷ
	/////////////////////////////////////////////////////////////////////////
	///ͨ
	const char TORA_TSTP_CQT_Normal = '0';
	///ר
	const char TORA_TSTP_CQT_Special = '1';
	typedef char TTORATstpCreditQuotaTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIntSerialTypeһˮ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpIntSerialType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpStrInfoTypeһַϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpStrInfoType[33];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIntInfoTypeһθϢ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpIntInfoType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderLocalIDTypeһر
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpOrderLocalIDType[13];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///Ԥ
	const char TORA_TSTP_OST_Cached = '0';
	///δ֪
	const char TORA_TSTP_OST_Unknown = '1';
	///ѽ
	const char TORA_TSTP_OST_Accepted = '2';
	///ֳɽ
	const char TORA_TSTP_OST_PartTraded = '3';
	///ȫɽ
	const char TORA_TSTP_OST_AllTraded = '4';
	///ɲ
	const char TORA_TSTP_OST_PartTradeCanceled = '5';
	///ȫ
	const char TORA_TSTP_OST_AllCanceled = '6';
	///Ѿܾ
	const char TORA_TSTP_OST_Rejected = '7';
	///׺
	const char TORA_TSTP_OST_SendTradeEngine = '#';
	typedef char TTORATstpOrderStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderSubmitStatusTypeһύ״̬
	/////////////////////////////////////////////////////////////////////////
	///δύ
	const char TORA_TSTP_OSS_InsertUnSubmit = '0';
	///ύ
	const char TORA_TSTP_OSS_InsertSubmitted = '1';
	///δύ
	const char TORA_TSTP_OSS_CancelUnSubmit = '2';
	///ύ
	const char TORA_TSTP_OSS_CancelSubmitted = '3';
	///ѱܾ
	const char TORA_TSTP_OSS_CancelRejected = '4';
	///ɾ
	const char TORA_TSTP_OSS_CancelDeleted = '5';
	typedef char TTORATstpOrderSubmitStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAccountIDTypeһʽʺ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpAccountIDType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCurrencyIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_CID_CNY = '1';
	///۱
	const char TORA_TSTP_CID_HKD = '2';
	///Ԫ
	const char TORA_TSTP_CID_USD = '3';
	typedef char TTORATstpCurrencyIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPbuIDTypeһ׵Ԫ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpPbuIDType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMoneyTypeһʽ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpMoneyType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderTypeTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_ORDT_Normal = '0';
	///
	const char TORA_TSTP_ORDT_DeriveFromQuote = '1';
	///
	const char TORA_TSTP_ORDT_DeriveFromCombination = '2';
	///ϱ
	const char TORA_TSTP_ORDT_Combination = '3';
	///
	const char TORA_TSTP_ORDT_ConditionalOrder = '4';
	///
	const char TORA_TSTP_ORDT_Swap = '5';
	///Ԥ
	const char TORA_TSTP_ORDT_Cache = '6';
	///ҹί
	const char TORA_TSTP_ORDT_Night = '7';
	///ͨί
	const char TORA_TSTP_ORDT_Board = '8';
	typedef char TTORATstpOrderTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpQuotaIDTypeһȱ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpQuotaIDType[17];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFloatInfoTypeһ͸Ϣ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpFloatInfoType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTradeIDTypeһɽ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTradeIDType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpActionFlagTypeһ־
	/////////////////////////////////////////////////////////////////////////
	///ɾ
	const char TORA_TSTP_AF_Delete = '0';
	///޸
	const char TORA_TSTP_AF_Modify = '3';
	///ǿɾ
	const char TORA_TSTP_AF_ForceDelete = '4';
	typedef char TTORATstpActionFlagType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCondOrderIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpCondOrderIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTriggerOrderVolumeTypeTypeһ׼
	/////////////////////////////////////////////////////////////////////////
	///Զ
	const char TORA_TSTP_TOVT_CustomVol = '1';
	///
	const char TORA_TSTP_TOVT_RelativeVol = '2';
	typedef char TTORATstpTriggerOrderVolumeTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTriggerOrderPriceTypeTypeһ׼۸
	/////////////////////////////////////////////////////////////////////////
	///Զ۸
	const char TORA_TSTP_TOPT_CustomPrice = '1';
	///¼
	const char TORA_TSTP_TOPT_LastPrice = '2';
	///һ
	const char TORA_TSTP_TOPT_AskPrice1 = '3';
	///һ
	const char TORA_TSTP_TOPT_BidPrice1 = '4';
	///ؼ
	const char TORA_TSTP_TOPT_Relative = '5';
	typedef char TTORATstpTriggerOrderPriceTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpContingentConditionTypeһ
	/////////////////////////////////////////////////////////////////////////
	///ɽ
	const char TORA_TSTP_CC_TradeTouch = '0';
	///
	const char TORA_TSTP_CC_CancelTouch = '1';
	///ʱ䴥
	const char TORA_TSTP_CC_TimeTouch = '2';
	///ʱδ
	const char TORA_TSTP_CC_SegmentTouch = '3';
	///¼۴ڵ
	const char TORA_TSTP_CC_LastPriceGreaterThanStopPrice = '4';
	///¼Сڵ
	const char TORA_TSTP_CC_LastPriceLesserThanStopPrice = '5';
	///һ۴ڵ
	const char TORA_TSTP_CC_AskPriceGreaterEqualStopPrice = '6';
	///һСڵ
	const char TORA_TSTP_CC_AskPriceLesserEqualStopPrice = '7';
	///һ۴ڵ
	const char TORA_TSTP_CC_BidPriceGreaterEqualStopPrice = '8';
	///һСڵ
	const char TORA_TSTP_CC_BidPriceLesserEqualStopPrice = '9';
	typedef char TTORATstpContingentConditionType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeMultipleTypeһԼ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpVolumeMultipleType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRelativeCondParamTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpRelativeCondParamType[31];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCondOrderStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///ʼ
	const char TORA_TSTP_COST_Initial = '#';
	///δ
	const char TORA_TSTP_COST_NotTouched = '0';
	///Ѵ
	const char TORA_TSTP_COST_Touched = '1';
	///ѽ
	const char TORA_TSTP_COST_Finished = '2';
	///ѳ
	const char TORA_TSTP_COST_Cancel = '3';
	///ʧ
	const char TORA_TSTP_COST_Failed = '4';
	typedef char TTORATstpCondOrderStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNegoContractorTypeһϵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpNegoContractorType[17];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNegoContractorInfoTypeһϵʽ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpNegoContractorInfoType[65];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNegoConfirmIDTypeһԼ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpNegoConfirmIDType[17];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMarketIDTypeһг
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_MKD_COMMON = '0';
	///ϺA
	const char TORA_TSTP_MKD_SHA = '1';
	///A
	const char TORA_TSTP_MKD_SZA = '2';
	///ϺB
	const char TORA_TSTP_MKD_SHB = '3';
	///B
	const char TORA_TSTP_MKD_SZB = '4';
	///A
	const char TORA_TSTP_MKD_SZThreeA = '5';
	///B
	const char TORA_TSTP_MKD_SZThreeB = '6';
	///г
	const char TORA_TSTP_MKD_Foreign = '7';
	///ڸ۹ͨг
	const char TORA_TSTP_MKD_SZHK = '8';
	///Ϻ۹ͨг
	const char TORA_TSTP_MKD_SHHK = '9';
	///
	const char TORA_TSTP_MKD_BJMain = 'a';
	typedef char TTORATstpMarketIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMarketStatusTypeһг״̬
	/////////////////////////////////////////////////////////////////////////
	///δ֪
	const char TORA_TSTP_MST_UnKnown = '#';
	///ǰ
	const char TORA_TSTP_MST_BeforeTrading = '0';
	///
	const char TORA_TSTP_MST_Continous = '1';
	///
	const char TORA_TSTP_MST_Closed = '2';
	///̼Ͼ
	const char TORA_TSTP_MST_OpenCallAuction = '3';
	///(۹ͨ)δ
	const char TORA_TSTP_MST_SZSEHKUnopened = 'a';
	///(۹ͨ)̼Ͼ
	const char TORA_TSTP_MST_SZSEHKOpenCallAuctionInput = 'b';
	///(۹ͨ)̼Ͼ۶ǰ
	const char TORA_TSTP_MST_SZSEHKOpenCallAuctionBeforeMatch = 'c';
	///(۹ͨ)̼Ͼ۶
	const char TORA_TSTP_MST_SZSEHKOpenCallAuctionMatch = 'd';
	///(۹ͨ)ͣ
	const char TORA_TSTP_MST_SZSEHKHalt = 'e';
	///(۹ͨ)
	const char TORA_TSTP_MST_SZSEHKContinous = 'f';
	///(۹ͨ)Exchange Intervention
	const char TORA_TSTP_MST_SZSEHKExchangeIntervention = 'g';
	///(۹ͨ)̼Ͼ۲ο۶
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionReferencePrice = 'h';
	///(۹ͨ)̼Ͼ
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionInput = 'i';
	///(۹ͨ)̼Ͼ۲ȡ
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionCannotCancel = 'j';
	///(۹ͨ)̼Ͼ۶
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionMatch = 'k';
	///(۹ͨ)̼Ͼ
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionRandomClosed = 'l';
	///(۹ͨ)ȡ
	const char TORA_TSTP_MST_SZSEHKCancel = 'm';
	///(۹ͨ)
	const char TORA_TSTP_MST_SZSEHKClosed = 'n';
	///(۹ͨ)ȫ
	const char TORA_TSTP_MST_SZSEHKWholeClosed = 'o';
	typedef char TTORATstpMarketStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferDirectionTypeһתƷ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_TRNSD_In = '0';
	///
	const char TORA_TSTP_TRNSD_Out = '1';
	///н׵
	const char TORA_TSTP_TRNSD_MoveIn = '2';
	///н׵
	const char TORA_TSTP_TRNSD_MoveOut = '3';
	///
	const char TORA_TSTP_TRNSD_Freeze = '4';
	///ⶳ
	const char TORA_TSTP_TRNSD_UnFreeze = '5';
	///֤ȯת
	const char TORA_TSTP_TRNSD_StockToBank = '6';
	///ת֤ȯ
	const char TORA_TSTP_TRNSD_BankToStock = '7';
	///ⲿڵת
	const char TORA_TSTP_TRNSD_NodeMoveIn = 'c';
	///ⲿڵת
	const char TORA_TSTP_TRNSD_NodeMoveOut = 'd';
	///ֱӻ
	const char TORA_TSTP_TRNSD_CashRepay = 'f';
	///ֱӻϢ(ڲʹ)
	const char TORA_TSTP_TRNSD_CashRepayInterestFee = 'g';
	typedef char TTORATstpTransferDirectionType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBankIDTypeһд
	/////////////////////////////////////////////////////////////////////////
	///й
	const char TORA_TSTP_BKID_CCB = '1';
	///йũҵ
	const char TORA_TSTP_BKID_ABC = '2';
	///й
	const char TORA_TSTP_BKID_ICBC = '3';
	///й
	const char TORA_TSTP_BKID_BOC = '4';
	///й
	const char TORA_TSTP_BKID_CMB = '5';
	///йͨ
	const char TORA_TSTP_BKID_BC = '6';
	///ֶչ
	const char TORA_TSTP_BKID_SPDB = '7';
	///ҵ
	const char TORA_TSTP_BKID_CIB = '8';
	///й
	const char TORA_TSTP_BKID_CEB = '9';
	///㶫չ
	const char TORA_TSTP_BKID_GDB = 'a';
	///Ͼ
	const char TORA_TSTP_BKID_NJCB = 'b';
	///Ϻ
	const char TORA_TSTP_BKID_SHCB = 'c';
	///
	const char TORA_TSTP_BKID_CITICB = 'd';
	///
	const char TORA_TSTP_BKID_HXB = 'e';
	///
	const char TORA_TSTP_BKID_CMBC = 'f';
	///ƽ
	const char TORA_TSTP_BKID_PACB = 'g';
	///
	const char TORA_TSTP_BKID_NBCB = 'h';
	///
	const char TORA_TSTP_BKID_BOB = 'i';
	///ʴ
	const char TORA_TSTP_BKID_PSBC = 'j';
	typedef char TTORATstpBankIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferStatusTypeһת״̬
	/////////////////////////////////////////////////////////////////////////
	///תڴ
	const char TORA_TSTP_TRANST_TranferHandling = '0';
	///תƳɹ
	const char TORA_TSTP_TRANST_TransferSuccess = '1';
	///תʧ
	const char TORA_TSTP_TRANST_TransferFail = '2';
	///ڴ
	const char TORA_TSTP_TRANST_RepealHandling = '3';
	///ɹ
	const char TORA_TSTP_TRANST_RepealSuccess = '4';
	///ʧ
	const char TORA_TSTP_TRANST_RepealFail = '5';
	///ⲿϵͳѽ
	const char TORA_TSTP_TRANST_ExternalAccepted = '6';
	///׺
	const char TORA_TSTP_TRANST_SendTradeEngine = '#';
	typedef char TTORATstpTransferStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBankAccountIDTypeһǩԼ˺
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpBankAccountIDType[31];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferPositionTypeTypeһתƳֲ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_TPT_ALL = '0';
	///
	const char TORA_TSTP_TPT_History = '1';
	///
	const char TORA_TSTP_TPT_TodayBS = '2';
	///
	const char TORA_TSTP_TPT_TodayPR = '3';
	///ֺϲ
	const char TORA_TSTP_TPT_TodaySM = '4';
	typedef char TTORATstpTransferPositionTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTransferReasonTypeһΧϵͳλԭ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTransferReasonType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpContentTypeһϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpContentType[501];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRatioTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpRatioType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNameTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpNameType[61];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDataSyncStatusTypeһͬ״̬
	/////////////////////////////////////////////////////////////////////////
	///δͬ
	const char TORA_TSTP_DS_Asynchronous = '1';
	///ͬ
	const char TORA_TSTP_DS_Synchronizing = '2';
	///ͬ
	const char TORA_TSTP_DS_Synchronized = '3';
	///ȫͬ
	const char TORA_TSTP_DS_AllSynchronized = '4';
	///Ԥͬ
	const char TORA_TSTP_DS_PreSync = '5';
	typedef char TTORATstpDataSyncStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpProductIDTypeһ֤ȯƷִ
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_PID_COMMON = '0';
	///ϺƱ
	const char TORA_TSTP_PID_SHStock = '1';
	///Ϻ
	const char TORA_TSTP_PID_SHFund = '3';
	///Ϻծȯ
	const char TORA_TSTP_PID_SHBond = '4';
	///Ϻ׼ȯ
	const char TORA_TSTP_PID_SHStandard = '5';
	///ϺѺʽع
	const char TORA_TSTP_PID_SHRepurchase = '6';
	///ڹƱ
	const char TORA_TSTP_PID_SZStock = '7';
	///ڻ
	const char TORA_TSTP_PID_SZFund = '9';
	///ծȯ
	const char TORA_TSTP_PID_SZBond = 'a';
	///ڱ׼ȯ
	const char TORA_TSTP_PID_SZStandard = 'b';
	///Ѻʽع
	const char TORA_TSTP_PID_SZRepurchase = 'c';
	///ͨ۹
	const char TORA_TSTP_PID_SZSEHKMain = 'd';
	///ͨ۹ɴҵ
	const char TORA_TSTP_PID_SZSEHKGEM = 'e';
	///ͨ۹佻֤ȯ
	const char TORA_TSTP_PID_SZSEHKETS = 'f';
	///ͨ۹NasdaqAMXг
	const char TORA_TSTP_PID_SZSEHKNasdaqAMX = 'g';
	///Ϻƴ
	const char TORA_TSTP_PID_SHKC = 'i';
	///Ʊ
	const char TORA_TSTP_PID_BJStock = 'j';
	typedef char TTORATstpProductIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityNameTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSecurityNameType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityTypeTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	///ͨ(ڲʹ)
	const char TORA_TSTP_STP_COMMON = '0';
	///ϺA
	const char TORA_TSTP_STP_SHAShares = 'a';
	///ϺгƱETF
	const char TORA_TSTP_STP_SHSingleMarketStockETF = 'b';
	///ϺгʵծȯETF
	const char TORA_TSTP_STP_SHSingleMarketBondETF = 'c';
	///ϺƽETF
	const char TORA_TSTP_STP_SHGoldETF = 'd';
	///ϺETF
	const char TORA_TSTP_STP_SHTradableMonetaryFund = 'e';
	///Ϻծطծ
	const char TORA_TSTP_STP_SHBondNation = 'f';
	///Ϻҵծ
	const char TORA_TSTP_STP_SHBondCorporation = 'g';
	///Ϻ˾ծ
	const char TORA_TSTP_STP_SHBondCompany = 'h';
	///Ϻתծ
	const char TORA_TSTP_STP_SHBondConversion = 'i';
	///Ϻծ
	const char TORA_TSTP_STP_SHBondSeparation = 'j';
	///Ϻ׼ȯ
	const char TORA_TSTP_STP_SHStandard = 'o';
	///ϺѺʽع
	const char TORA_TSTP_STP_SHRepo = 'p';
	///Ϻʽ
	const char TORA_TSTP_STP_SHCEFund = 'q';
	///Ϻʽ
	const char TORA_TSTP_STP_SHOEFund = 'r';
	///ϺгETF
	const char TORA_TSTP_STP_SHCrossMarketStockETF = 's';
	///Ϻ羳ETF
	const char TORA_TSTP_STP_SHCrossBorderETF = 't';
	///Ϻּĸ
	const char TORA_TSTP_STP_SHMontherStructFund = 'u';
	///Ϻּӻ
	const char TORA_TSTP_STP_SHSubStructFund = 'v';
	///Ϻʵʱһ
	const char TORA_TSTP_STP_SHRealTimeMonetaryFund = 'w';
	///Ϻɽծ
	const char TORA_TSTP_STP_SHExchangeableBond = 'x';
	///Ϻ׼LOF
	const char TORA_TSTP_STP_SHLOF = 'A';
	///A
	const char TORA_TSTP_STP_SZMainAShares = 'B';
	///Сҵ
	const char TORA_TSTP_STP_SZSME = 'C';
	///ڹծطծ
	const char TORA_TSTP_STP_SZBondNation = 'D';
	///ҵծ
	const char TORA_TSTP_STP_SZBondCorporation = 'E';
	///ڹ˾ծ
	const char TORA_TSTP_STP_SZBondCompany = 'F';
	///ڿתծ
	const char TORA_TSTP_STP_SZBondConversion = 'G';
	///ڷծ
	const char TORA_TSTP_STP_SZBondSeparation = 'H';
	///ڴҵ(ע)
	const char TORA_TSTP_STP_SZGEMReg = 'I';
	///ڴҵתծ(ע)
	const char TORA_TSTP_STP_SZGEMBondConversionReg = 'J';
	///ڿ羳ETF
	const char TORA_TSTP_STP_SZCrossBorderETF = 'K';
	///ڻƽETF
	const char TORA_TSTP_STP_SZGoldETF = 'L';
	///ֽծȯETF
	const char TORA_TSTP_STP_SZCashBondETF = 'M';
	///ڵгƱETF
	const char TORA_TSTP_STP_SZSingleMarketStockETF = 'N';
	///ڵгʵծȯETF
	const char TORA_TSTP_STP_SZSingleMarketBondETF = 'O';
	///ڻETF
	const char TORA_TSTP_STP_SZMonetaryFundETF = 'P';
	///ڴҵ
	const char TORA_TSTP_STP_SZGEM = 'Q';
	///ڴҵɽծ
	const char TORA_TSTP_STP_SZGEMExchangeableBond = 'R';
	///ڴҵɽծ(ע)
	const char TORA_TSTP_STP_SZGEMExchangeableBondReg = 'S';
	///ڱ׼ȯ
	const char TORA_TSTP_STP_SZStandard = 'T';
	///Ѻʽع
	const char TORA_TSTP_STP_SZRepo = 'U';
	///ڷʽ
	const char TORA_TSTP_STP_SZCEFund = 'V';
	///ڿʽ
	const char TORA_TSTP_STP_SZOEFund = 'W';
	///ڿ羳ʽ
	const char TORA_TSTP_STP_SZCrossBorderOEFund = 'X';
	///ڿгƱETF
	const char TORA_TSTP_STP_SZCrossMarketStockETF = 'Y';
	///ڱ׼LOF
	const char TORA_TSTP_STP_SZLOF = 'Z';
	///ڿ羳LOF
	const char TORA_TSTP_STP_SZCrossBorderLOF = '1';
	///ڴͳּĸ
	const char TORA_TSTP_STP_SZMontherStructFund = '2';
	///ڴͳּӻ
	const char TORA_TSTP_STP_SZSubStructFund = '3';
	///ڿ羳ּĸ
	const char TORA_TSTP_STP_SZMontherCrossBorderStructFund = '4';
	///ڿ羳ּӻ
	const char TORA_TSTP_STP_SZSubCrossBorderStructFund = '5';
	///ڿɽծ
	const char TORA_TSTP_STP_SZExchangeableBond = '6';
	///ڴҵתծ
	const char TORA_TSTP_STP_SZGEMBondConversion = '7';
	///ͨ۹ծȯ
	const char TORA_TSTP_STP_SZSEHKBond = '8';
	///ͨ۹һȨ֤
	const char TORA_TSTP_STP_SZSEHKBasketWarrant = '9';
	///ͨ۹ɹɱ
	const char TORA_TSTP_STP_SZSEHKEquity = 'y';
	///ͨ۹
	const char TORA_TSTP_STP_SZSEHKTrust = 'z';
	///ͨ۹Ȩ֤
	const char TORA_TSTP_STP_SZSEHKWarrant = '#';
	///Ϻƾ֤
	const char TORA_TSTP_STP_SHCDR = '+';
	///ϺƴƱ
	const char TORA_TSTP_STP_SHKC = '*';
	///ƴƷкǰ5գ
	const char TORA_TSTP_STP_SHKC1 = '^';
	///Ϻƴƾ֤
	const char TORA_TSTP_STP_SHKCCDR = '-';
	///塢С崴ҵƱƾ֤
	const char TORA_TSTP_STP_SZCDR = 'k';
	///ڴҵ崴ҵƱƾ֤
	const char TORA_TSTP_STP_SZGEMCDR = 'l';
	///ڴҵ崴ҵƱƾ֤(ע)
	const char TORA_TSTP_STP_SZGEMCDRReg = 'm';
	///ƷڻETF
	const char TORA_TSTP_STP_SZCommFuturesETF = 'n';
	///ڻʩ
	const char TORA_TSTP_STP_SZInfrastructureFund = '=';
	///ϺƴETF
	const char TORA_TSTP_STP_SHKCETF = '@';
	///ϺƴLOF
	const char TORA_TSTP_STP_SHKCLOF = '%';
	///Ϻƴתծ
	const char TORA_TSTP_STP_SHKCBondConversion = '$';
	///Ϻתծ
	const char TORA_TSTP_STP_SHOrientedConversionBond = '<';
	///ڶתծ
	const char TORA_TSTP_STP_SZOrientedConversionBond = '>';
	///Ϻʩ
	const char TORA_TSTP_STP_SHInfrastructureFund = '~';
	///Ʊ
	const char TORA_TSTP_STP_BJStock = '[';
	///Ϻƴɽծ
	const char TORA_TSTP_STP_SHKCExchangeableBond = ']';
	typedef char TTORATstpSecurityTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderUnitTypeһ걨λ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_OUT_Shou = '0';
	///
	const char TORA_TSTP_OUT_Gu = '1';
	///
	const char TORA_TSTP_OUT_Fen = '2';
	///
	const char TORA_TSTP_OUT_Zhang = '3';
	typedef char TTORATstpOrderUnitType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTradingUnitTypeһ׵λ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpTradingUnitType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTickTypeһС䶯λ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpPriceTickType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpParValueTypeһֵ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpParValueType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityStatusTypeһ֤ȯ״̬
	/////////////////////////////////////////////////////////////////////////
	#ifdef WINDOWS
	typedef __int64 TTORATstpSecurityStatusType;
	#else
	typedef long long int TTORATstpSecurityStatusType;
	#endif
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInterestTypeһϢ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpInterestType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLargeVolumeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpLargeVolumeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIssueModeTypeһзʽ
	/////////////////////////////////////////////////////////////////////////
	///ֵ۷ʽ
	const char TORA_TSTP_IMO_ValueLimit = '0';
	///۷ʽ
	const char TORA_TSTP_IMO_AddIssue = '1';
	///깺ʽ
	const char TORA_TSTP_IMO_Credit = '2';
	///۷()
	const char TORA_TSTP_IMO_Fixed = '3';
	///۷()
	const char TORA_TSTP_IMO_Auction = '4';
	typedef char TTORATstpIssueModeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLoginLimitTypeһ¼
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpLoginLimitType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLoginStatusTypeһ¼״̬
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_USTS_Enabled = '1';
	///
	const char TORA_TSTP_USTS_Disabled = '2';
	///
	const char TORA_TSTP_USTS_Locked = '4';
	typedef char TTORATstpLoginStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorTypeTypeһͶ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_CT_Person = '0';
	///
	const char TORA_TSTP_CT_Company = '1';
	///Ӫ
	const char TORA_TSTP_CT_SelfOperate = '5';
	///
	const char TORA_TSTP_CT_Test = '#';
	typedef char TTORATstpInvestorTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInvestorNameTypeһͶ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpInvestorNameType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIdCardTypeTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	///֯
	const char TORA_TSTP_ICT_EID = '0';
	///й֤
	const char TORA_TSTP_ICT_IDCard = '1';
	///֤
	const char TORA_TSTP_ICT_OfficerIDCard = '2';
	///֤
	const char TORA_TSTP_ICT_PoliceIDCard = '3';
	///ʿ֤
	const char TORA_TSTP_ICT_SoldierIDCard = '4';
	///ڲ
	const char TORA_TSTP_ICT_HouseholdRegister = '5';
	///
	const char TORA_TSTP_ICT_Passport = '6';
	///̨֤
	const char TORA_TSTP_ICT_TaiwanCompatriotIDCard = '7';
	///֤
	const char TORA_TSTP_ICT_HomeComingCard = '8';
	///Ӫҵִպ
	const char TORA_TSTP_ICT_LicenseNo = '9';
	///˰ǼǺ/˰ID
	const char TORA_TSTP_ICT_TaxNo = 'A';
	///۰ľڵ֤ͨ
	const char TORA_TSTP_ICT_HMMainlandTravelPermit = 'B';
	///̨½֤ͨ
	const char TORA_TSTP_ICT_TwMainlandTravelPermit = 'C';
	///
	const char TORA_TSTP_ICT_DrivingLicense = 'D';
	///籣ID
	const char TORA_TSTP_ICT_SocialID = 'F';
	///֤
	const char TORA_TSTP_ICT_LocalID = 'G';
	///ҵǼ֤
	const char TORA_TSTP_ICT_BusinessRegistration = 'H';
	///۰Ծ֤
	const char TORA_TSTP_ICT_HKMCIDCard = 'I';
	///п֤
	const char TORA_TSTP_ICT_AccountsPermits = 'J';
	///֤
	const char TORA_TSTP_ICT_OtherCard = 'x';
	typedef char TTORATstpIdCardTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIdCardNoTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpIdCardNoType[51];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTradingStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_TS_Normal = '1';
	///ǿƽ
	const char TORA_TSTP_TS_ForceClosing = '2';
	///쳣
	const char TORA_TSTP_TS_Exception = '3';
	typedef char TTORATstpTradingStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOperwaysTypeһίзʽϼ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpOperwaysType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMobileTypeһֻ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpMobileType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTelephoneTypeһϵ绰
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTelephoneType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpEmailTypeһEmail
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpEmailType[61];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFaxTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFaxType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAddressTypeһͨѶַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpAddressType[101];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpZipCodeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpZipCodeType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpProfInvestorTypeTypeһרҵͶ
	/////////////////////////////////////////////////////////////////////////
	///רҵͶ
	const char TORA_TSTP_PIT_Normal = '0';
	///רҵͶ
	const char TORA_TSTP_PIT_Professional = '1';
	typedef char TTORATstpProfInvestorTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPlanTypeTypeһײ
	/////////////////////////////////////////////////////////////////////////
	///׼ײ
	const char TORA_TSTP_PLTP_Standard = '0';
	///ײ
	const char TORA_TSTP_PLTP_Smart = '1';
	///Ԥ1
	const char TORA_TSTP_PLTP_Reserve1 = '2';
	///Ԥ2
	const char TORA_TSTP_PLTP_Reserve2 = '3';
	///δͣڲʹã
	const char TORA_TSTP_PLTP_Undefined = '4';
	typedef char TTORATstpPlanTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRemarkTypeһע
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpRemarkType[513];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpShareholderIDTypeTypeһɶ˻
	/////////////////////////////////////////////////////////////////////////
	///Ͷ
	const char TORA_TSTP_SIDT_Speculation = '1';
	///
	const char TORA_TSTP_SIDT_Arbitrage = '2';
	///ױ
	const char TORA_TSTP_SIDT_Hedge = '3';
	///ͨ
	const char TORA_TSTP_SIDT_Normal = 'a';
	///
	const char TORA_TSTP_SIDT_Credit = 'b';
	///Ʒ
	const char TORA_TSTP_SIDT_Derivatives = 'c';
	typedef char TTORATstpShareholderIDTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCancelOrderStatusTypeһ״̬
	/////////////////////////////////////////////////////////////////////////
	///Ԥ
	const char TORA_TSTP_CORDS_Cached = '0';
	///ύ
	const char TORA_TSTP_CORDS_Submitted = '1';
	///ɹ
	const char TORA_TSTP_CORDS_Success = '2';
	///ܾ
	const char TORA_TSTP_CORDS_Rejected = '3';
	typedef char TTORATstpCancelOrderStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCancelOrderTypeTypeһ
	/////////////////////////////////////////////////////////////////////////
	///ͨ
	const char TORA_TSTP_CORDT_Normal = '0';
	///ǿƳ
	const char TORA_TSTP_CORDT_Force = '1';
	///Ԥ񳷵
	const char TORA_TSTP_CORDT_Cache = '2';
	///ͨ
	const char TORA_TSTP_CORDT_Board = '3';
	typedef char TTORATstpCancelOrderTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAccountTypeTypeһʽ˻
	/////////////////////////////////////////////////////////////////////////
	///ͨ
	const char TORA_TSTP_FAT_Normal = '1';
	///
	const char TORA_TSTP_FAT_Credit = '2';
	///Ʒ
	const char TORA_TSTP_FAT_Derivatives = '3';
	typedef char TTORATstpAccountTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBizClassTypeһҵ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_BC_Buy = '0';
	///
	const char TORA_TSTP_BC_Sell = '1';
	///ETF깺
	const char TORA_TSTP_BC_ETFPur = '2';
	///ETF
	const char TORA_TSTP_BC_ETFRed = '3';
	///¹깺
	const char TORA_TSTP_BC_SubscribingShares = '4';
	///ع
	const char TORA_TSTP_BC_Repurchase = '5';
	///ع
	const char TORA_TSTP_BC_ReverseRepur = '6';
	///ʽ깺
	const char TORA_TSTP_BC_OeFundPur = '8';
	///ʽ
	const char TORA_TSTP_BC_OeFundRed = '9';
	///Ʒ
	const char TORA_TSTP_BC_CollateralIn = 'a';
	///Ʒ
	const char TORA_TSTP_BC_CollateralOut = 'b';
	///Ѻ
	const char TORA_TSTP_BC_PledgeIn = 'd';
	///Ѻ
	const char TORA_TSTP_BC_PledgeOut = 'e';
	///ծ
	const char TORA_TSTP_BC_Rationed = 'f';
	///ʽ
	const char TORA_TSTP_BC_Split = 'g';
	///ʽϲ
	const char TORA_TSTP_BC_Merge = 'h';
	///
	const char TORA_TSTP_BC_CreditBuy = 'i';
	///ȯ
	const char TORA_TSTP_BC_CreditSell = 'j';
	///ȯ
	const char TORA_TSTP_BC_SellRepay = 'k';
	///ȯȯ
	const char TORA_TSTP_BC_BuyRepay = 'l';
	///ȯת
	const char TORA_TSTP_BC_RepayTransfer = 'm';
	///ȯת
	const char TORA_TSTP_BC_SurplusTransfer = 'n';
	///Դȯת
	const char TORA_TSTP_BC_SourceTransfer = 'o';
	///ȯǿƽ(ڲʹ)
	const char TORA_TSTP_BC_ForceSellRepay = 'p';
	///ȯǿƽȯ(ڲʹ)
	const char TORA_TSTP_BC_ForceBuyRepay = 'q';
	///ծչ(ڲʹ)
	const char TORA_TSTP_BC_DebtExtend = 'r';
	///תй
	const char TORA_TSTP_BC_CustodyTransfer = 's';
	///ծȯת
	const char TORA_TSTP_BC_BondConvertStock = 't';
	///ծȯ
	const char TORA_TSTP_BC_BondPutback = 'u';
	///ETFʵ깺
	const char TORA_TSTP_BC_ETFOtPur = 'v';
	///ETFʵ
	const char TORA_TSTP_BC_ETFOtRed = 'w';
	///۳
	const char TORA_TSTP_BC_PutbackRelieve = 'x';
	typedef char TTORATstpBizClassType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBrokerageTypeTypeһӶ
	/////////////////////////////////////////////////////////////////////////
	///ëӶ
	const char TORA_TSTP_BT_Gross = '0';
	///Ӷ
	const char TORA_TSTP_BT_Net = '1';
	typedef char TTORATstpBrokerageTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLongVolumeTypeһLongVolume
	/////////////////////////////////////////////////////////////////////////
	#ifdef WINDOWS
	typedef __int64 TTORATstpLongVolumeType;
	#else
	typedef long long int TTORATstpLongVolumeType;
	#endif
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOperateSourceTypeһԴ
	/////////////////////////////////////////////////////////////////////////
	///ʵʱϳ
	const char TORA_TSTP_OPRTSRC_DBCommand = '0';
	///API
	const char TORA_TSTP_OPRTSRC_SyncAPI = '1';
	///Զ
	const char TORA_TSTP_OPRTSRC_AutoTrigger = '2';
	///APIϳ
	const char TORA_TSTP_OPRTSRC_EmergencyAPI = '3';
	typedef char TTORATstpOperateSourceType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExternalSerialTypeһⲿˮ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpExternalSerialType[65];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBizRefTypeһҵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpBizRefType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIPONumberIDTypeһ¹깺ɺ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpIPONumberIDType[31];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSpecPrivilegeTypeTypeһȨ
	/////////////////////////////////////////////////////////////////////////
	///ҵ
	const char TORA_TSTP_SPLT_GEM = '0';
	///վʾ
	const char TORA_TSTP_SPLT_RiskWarning = '1';
	///
	const char TORA_TSTP_SPLT_Delisting = '2';
	///۹ͨ
	const char TORA_TSTP_SPLT_SZSEHK = '3';
	///ƴ
	const char TORA_TSTP_SPLT_SHKC = '4';
	///ҵע
	const char TORA_TSTP_SPLT_GEMRegistration = '5';
	///ּ
	const char TORA_TSTP_SPLT_StructFund = '6';
	///תծ
	const char TORA_TSTP_SPLT_ConvertBond = '7';
	///ʩ
	const char TORA_TSTP_SPLT_InfrastructureFund = '8';
	///תծ
	const char TORA_TSTP_SPLT_OrientedConvertBond = '9';
	///Ʊ
	const char TORA_TSTP_SPLT_BJStock = 'a';
	///彻
	const char TORA_TSTP_SPLT_Main = 'b';
	///תծ
	const char TORA_TSTP_SPLT_DelConvertBond = 'c';
	typedef char TTORATstpSpecPrivilegeTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCreRedTypeTypeһ
	/////////////////////////////////////////////////////////////////////////
	///ͨ
	const char TORA_TSTP_CRT_IS = '0';
	///ʵ
	const char TORA_TSTP_CRT_OS = '1';
	typedef char TTORATstpCreRedTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpETFCurrenceReplaceStatusTypeһETFֽ־
	/////////////////////////////////////////////////////////////////////////
	///ֹֽ
	const char TORA_TSTP_ETFCTSTAT_Forbidden = '0';
	///ֽ
	const char TORA_TSTP_ETFCTSTAT_Allow = '1';
	///ֽ
	const char TORA_TSTP_ETFCTSTAT_Force = '2';
	///˲ֽ
	const char TORA_TSTP_ETFCTSTAT_CBAllow = '3';
	///бֽ
	const char TORA_TSTP_ETFCTSTAT_CBForce = '4';
	typedef char TTORATstpETFCurrenceReplaceStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUUPICTypeһͨͳһʶ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUUPICType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTickIDTypeһ۲Ʒ
	/////////////////////////////////////////////////////////////////////////
	///ɱ֤ȯ
	const char TORA_TSTP_PTID_Stock = '0';
	///ծ֤ȯ
	const char TORA_TSTP_PTID_Bond = '1';
	///ƱȨ
	const char TORA_TSTP_PTID_Option = '2';
	///
	const char TORA_TSTP_PTID_Fund = '3';
	typedef char TTORATstpPriceTickIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTickGroupIDTypeһ۲
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpPriceTickGroupIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTickTypeTypeһ۲
	/////////////////////////////////////////////////////////////////////////
	///۸
	const char TORA_TSTP_PPT_LimitPrice = '0';
	///۲
	const char TORA_TSTP_PPT_PriceTick = '1';
	typedef char TTORATstpPriceTickTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFundTypeTypeһ
	/////////////////////////////////////////////////////////////////////////
	///׼LOF
	const char TORA_TSTP_FUT_Normal = '0';
	///ּĸ
	const char TORA_TSTP_FUT_Mother = '1';
	///ּӻ
	const char TORA_TSTP_FUT_Sub = '2';
	typedef char TTORATstpFundTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpNodeInfoTypeһڵϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpNodeInfoType[33];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensVerTypeһ汾
	/////////////////////////////////////////////////////////////////////////
	typedef short TTORATstpFensVerType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensEnvIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFensEnvIDType[13];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensNodeIDTypeһڵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFensNodeIDType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensUserIDTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFensUserIDType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpClientInfoTypeһնϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpClientInfoType[65];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPortTypeһ˿ں
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpPortType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTradeCommModeTypeһͨѶģʽ
	/////////////////////////////////////////////////////////////////////////
	///TCPģʽ
	const char TORA_TSTP_TCM_TCP = '0';
	///UDPģʽ
	const char TORA_TSTP_TCM_UDP = '1';
	///PROXYģʽ
	const char TORA_TSTP_TCM_PROXY = '2';
	///sftcpdirectģʽ-TCP
	const char TORA_TSTP_TCM_TCPDIRECT = '3';
	typedef char TTORATstpTradeCommModeType;
	
}
#endif // TORATSTPUSERAPIDATATYPE_H__