/////////////////////////////////////////////////////////////////////////
///@company Ϻ̩ϢƼ޹˾
///@file TORATstpXMdApiDataType.h
///@brief ˿ͻ˽ӿʹõҵ
///@history 
/////////////////////////////////////////////////////////////////////////
#ifndef TORATSTPXMDAPIDATATYPE_H__
#define TORATSTPXMDAPIDATATYPE_H__


#include <limits.h>
#include <float.h>

namespace TORALEV1API
{
	///ֵ
	const int INT_NULL_VAL = INT_MAX;
	const double FLOAT_NULL_VAL = DBL_MAX;
	const char CHAR_NULL_VAL = 0;
	const short WORD_NULL_VAL = SHRT_MAX;
#ifdef WINDOWS
	const __int64 LONG_NULL_VAL = _I64_MAX;
#else
	const long long LONG_NULL_VAL = LLONG_MAX;
#endif
	
	///ÿպп
	inline void set_null(int &v)
	{
		v = INT_NULL_VAL;
	}
	inline bool is_null(const int &v)
	{
		return v == INT_NULL_VAL;
	}
	
	///ÿպп
	inline void set_null(double &v)
	{
		v = FLOAT_NULL_VAL;
	}
	inline bool is_null(const double &v)
	{
		return v == FLOAT_NULL_VAL;
	}
	
	///ַÿպп
	inline void set_null(char &v)
	{
		v = CHAR_NULL_VAL;
	}
	inline bool is_null(const char &v)
	{
		return v == CHAR_NULL_VAL;
	}
	
	///ÿպп
	inline void set_null(short &v)
	{
		v = WORD_NULL_VAL;
	}
	inline bool is_null(const short &v)
	{
		return v == WORD_NULL_VAL;
	}
	
	///ÿպп
	#ifdef WINDOWS
	inline void set_null(__int64 &v)
	#else
	inline void set_null(long long &v)
	#endif
	{
		v = LONG_NULL_VAL;
	}
	#ifdef WINDOWS
	inline bool is_null(const __int64 &v)
	#else
	inline bool is_null(const long long &v)
	#endif
	{
		return v == LONG_NULL_VAL;
	}
	
	///ַÿպп
	inline void set_null(char *v)
	{
		v[0] = '\0';
	}
	inline bool is_null(const char *v)
	{
		const char *p=v;
		while (*p)
		{
			if (*p!=' ')
			{
				return false;
			}
			p++;
		}
		return true;
	}
	
	enum TORA_TE_RESUME_TYPE
	{
		TORA_TERT_RESTART = 0,
		TORA_TERT_RESUME,
		TORA_TERT_QUICK
	};
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLogInAccountTypeһ¼˻
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpLogInAccountType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLogInAccountTypeTypeһ¼˻
	/////////////////////////////////////////////////////////////////////////
	///û
	const char TORA_TSTP_LACT_UserID = '0';
	///ʽ˺
	const char TORA_TSTP_LACT_AccountID = '1';
	///ϺA
	const char TORA_TSTP_LACT_SHAStock = '2';
	///A
	const char TORA_TSTP_LACT_SZAStock = '3';
	///ϺB
	const char TORA_TSTP_LACT_SHBStock = '4';
	///B
	const char TORA_TSTP_LACT_SZBStock = '5';
	///A
	const char TORA_TSTP_LACT_ThreeNewBoardA = '6';
	///B
	const char TORA_TSTP_LACT_ThreeNewBoardB = '7';
	///۹
	const char TORA_TSTP_LACT_HKStock = '8';
	///ͳһû
	const char TORA_TSTP_LACT_UnifiedUserID = '9';
	typedef char TTORATstpLogInAccountTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDepartmentIDTypeһŴ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpDepartmentIDType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpAuthModeTypeһ֤ʽ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_AM_Password = '0';
	///ָ
	const char TORA_TSTP_AM_FingerPrint = '1';
	///Կ״
	const char TORA_TSTP_AM_CertInfo = '2';
	typedef char TTORATstpAuthModeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPasswordTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpPasswordType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserProductInfoTypeһû˲ƷϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUserProductInfoType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpInterfaceProductInfoTypeһӿڶ˲ƷϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpInterfaceProductInfoType[33];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTerminalInfoTypeһնϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTerminalInfoType[256];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpIPAddressTypeһIPַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpIPAddressType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMacAddressTypeһMacַ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpMacAddressType[21];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLangTypeһ
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_LGT_ZHCN = '0';
	///
	const char TORA_TSTP_LGT_ZHHK = '1';
	///Ӣ
	const char TORA_TSTP_LGT_ENUS = '2';
	typedef char TTORATstpLangType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDeviceIDTypeһ豸ʶ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpDeviceIDType[129];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCertSerialTypeһ֤
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpCertSerialType[129];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDeviceTypeTypeһ豸
	/////////////////////////////////////////////////////////////////////////
	///PC
	const char TORA_TSTP_DT_PC = '0';
	///ƶ
	const char TORA_TSTP_DT_Mobile = '1';
	typedef char TTORATstpDeviceTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFrontIDTypeһǰñ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpFrontIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSessionIDTypeһỰ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpSessionIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpOrderRefTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpOrderRefType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpVolumeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpVolumeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTimeTypeһʱ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpTimeType[9];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSystemNameTypeһϵͳ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSystemNameType[41];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpDateTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpDateType[9];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserIDTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUserIDType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserNameTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpUserNameType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpUserTypeTypeһû
	/////////////////////////////////////////////////////////////////////////
	///͹˾û
	const char TORA_TSTP_UTYPE_BrokerUser = '0';
	///û
	const char TORA_TSTP_UTYPE_SuperUser = '1';
	///Ͷû
	const char TORA_TSTP_UTYPE_Investor = '2';
	typedef char TTORATstpUserTypeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpCommFluxTypeһͨѶ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpCommFluxType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpBoolTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpBoolType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpErrorIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpErrorIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpErrorMsgTypeһϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpErrorMsgType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpExchangeIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	///Ϻ
	const char TORA_TSTP_EXD_SSE = '1';
	///ڽ
	const char TORA_TSTP_EXD_SZSE = '2';
	///۽
	const char TORA_TSTP_EXD_HK = '3';
	///֤ȯ
	const char TORA_TSTP_EXD_BSE = '4';
	typedef char TTORATstpExchangeIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityIDTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSecurityIDType[31];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMarketIDTypeһг
	/////////////////////////////////////////////////////////////////////////
	///ϺA
	const char TORA_TSTP_MKD_SHA = '1';
	///A
	const char TORA_TSTP_MKD_SZA = '2';
	///ϺB
	const char TORA_TSTP_MKD_SHB = '3';
	///B
	const char TORA_TSTP_MKD_SZB = '4';
	///A
	const char TORA_TSTP_MKD_SZThreeA = '5';
	///B
	const char TORA_TSTP_MKD_SZThreeB = '6';
	///г
	const char TORA_TSTP_MKD_Foreign = '7';
	///ڸ۹ͨг
	const char TORA_TSTP_MKD_SZHK = '8';
	///Ϻ۹ͨг
	const char TORA_TSTP_MKD_SHHK = '9';
	///
	const char TORA_TSTP_MKD_BJMain = 'a';
	typedef char TTORATstpMarketIDType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpSecurityNameTypeһ֤ȯ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpSecurityNameType[81];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPriceTypeһ۸
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpPriceType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLongVolumeTypeһLongVolume
	/////////////////////////////////////////////////////////////////////////
	#ifdef WINDOWS
	typedef __int64 TTORATstpLongVolumeType;
	#else
	typedef long long int TTORATstpLongVolumeType;
	#endif
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMoneyTypeһʽ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpMoneyType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpRatioTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpRatioType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpLargeVolumeTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef double TTORATstpLargeVolumeType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMillisecTypeһʱ䣨룩
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpMillisecType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMDSecurityStatTypeһ֤ȯ״̬
	/////////////////////////////////////////////////////////////////////////
	///ǰ
	const char TORA_TSTP_MSST_PreOpen = '0';
	///Ͼ
	const char TORA_TSTP_MSST_CallAuction = '1';
	///
	const char TORA_TSTP_MSST_Continous = '2';
	///
	const char TORA_TSTP_MSST_Pause = '3';
	///ͣ
	const char TORA_TSTP_MSST_Suspend = '4';
	///ͣ
	const char TORA_TSTP_MSST_LongSuspend = '5';
	///ж
	const char TORA_TSTP_MSST_UndulationInt = '6';
	///۶Ͽɻָ
	const char TORA_TSTP_MSST_CircuitBreak = '7';
	///۶ϲɻָ
	const char TORA_TSTP_MSST_CircuitBreakU = '8';
	///
	const char TORA_TSTP_MSST_Close = '9';
	///
	const char TORA_TSTP_MSST_Other = 'a';
	///̼Ͼ
	const char TORA_TSTP_MSST_CloseCallAuction = 'b';
	///д(̺󶨼)
	const char TORA_TSTP_MSST_CallMatch = 'c';
	///(̺󶨼)
	const char TORA_TSTP_MSST_PostContinous = 'd';
	///(̺󶨼)
	const char TORA_TSTP_MSST_PostClose = 'e';
	///ǰ(̺󶨼)
	const char TORA_TSTP_MSST_PrePostOpen = 'f';
	typedef char TTORATstpMDSecurityStatType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpHWLevelTypeһʾ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpHWLevelType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpEndFlagTypeһ־
	/////////////////////////////////////////////////////////////////////////
	///
	const char TORA_TSTP_EF_ToBeContinued = '1';
	///
	const char TORA_TSTP_EF_BatchEnd = '2';
	///ȫ
	const char TORA_TSTP_EF_Completed = '3';
	///
	const char TORA_TSTP_EF_NOP = '4';
	typedef char TTORATstpEndFlagType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMarketStatusTypeһг״̬
	/////////////////////////////////////////////////////////////////////////
	///δ֪
	const char TORA_TSTP_MST_UnKnown = '#';
	///ǰ
	const char TORA_TSTP_MST_BeforeTrading = '0';
	///
	const char TORA_TSTP_MST_Continous = '1';
	///
	const char TORA_TSTP_MST_Closed = '2';
	///̼Ͼ
	const char TORA_TSTP_MST_OpenCallAuction = '3';
	///(۹ͨ)δ
	const char TORA_TSTP_MST_SZSEHKUnopened = 'a';
	///(۹ͨ)̼Ͼ
	const char TORA_TSTP_MST_SZSEHKOpenCallAuctionInput = 'b';
	///(۹ͨ)̼Ͼ۶ǰ
	const char TORA_TSTP_MST_SZSEHKOpenCallAuctionBeforeMatch = 'c';
	///(۹ͨ)̼Ͼ۶
	const char TORA_TSTP_MST_SZSEHKOpenCallAuctionMatch = 'd';
	///(۹ͨ)ͣ
	const char TORA_TSTP_MST_SZSEHKHalt = 'e';
	///(۹ͨ)
	const char TORA_TSTP_MST_SZSEHKContinous = 'f';
	///(۹ͨ)Exchange Intervention
	const char TORA_TSTP_MST_SZSEHKExchangeIntervention = 'g';
	///(۹ͨ)̼Ͼ۲ο۶
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionReferencePrice = 'h';
	///(۹ͨ)̼Ͼ
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionInput = 'i';
	///(۹ͨ)̼Ͼ۲ȡ
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionCannotCancel = 'j';
	///(۹ͨ)̼Ͼ۶
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionMatch = 'k';
	///(۹ͨ)̼Ͼ
	const char TORA_TSTP_MST_SZSEHKCloseCallAuctionRandomClosed = 'l';
	///(۹ͨ)ȡ
	const char TORA_TSTP_MST_SZSEHKCancel = 'm';
	///(۹ͨ)
	const char TORA_TSTP_MST_SZSEHKClosed = 'n';
	///(۹ͨ)ȫ
	const char TORA_TSTP_MST_SZSEHKWholeClosed = 'o';
	typedef char TTORATstpMarketStatusType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpTimeStampTypeһʱ
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpTimeStampType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensVerTypeһ汾
	/////////////////////////////////////////////////////////////////////////
	typedef short TTORATstpFensVerType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensEnvIDTypeһ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFensEnvIDType[13];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensNodeIDTypeһڵ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFensNodeIDType[11];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpFensUserIDTypeһû
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpFensUserIDType[16];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpClientInfoTypeһնϢ
	/////////////////////////////////////////////////////////////////////////
	typedef char TTORATstpClientInfoType[65];
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpPortTypeһ˿ں
	/////////////////////////////////////////////////////////////////////////
	typedef int TTORATstpPortType;
	
	/////////////////////////////////////////////////////////////////////////
	/// TTORATstpMDSubModeTypeһ鶩ģʽ
	/////////////////////////////////////////////////////////////////////////
	///TCPģʽ
	const char TORA_TSTP_MST_TCP = '0';
	///UDPģʽ
	const char TORA_TSTP_MST_UDP = '1';
	///UDP鲥ģʽ
	const char TORA_TSTP_MST_MCAST = '2';
	typedef char TTORATstpMDSubModeType;
	
}
#endif // TORATSTPUSERAPIDATATYPE_H__